<%-- 
    Document   : userdetails
    Created on : 21 Αυγ 2013, 3:11:57 μμ
    Author     : LOU10
--%>

<%@page import="java.util.Iterator"%>
<%@page import="java.util.Map"%>
<%@page import="javabeans.User"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>

<% request.setCharacterEncoding("UTF-8"); %> 
<jsp:useBean id="user" class="javabeans.User" scope="session" />
<% String isOnline = (String) session.getAttribute("isOnlinekey");
   if(isOnline == null || !isOnline.equals("online"))
   {   
       response.sendRedirect("index.jsp");
   }
   else if(!user.getRole().equals("Admin")) 
   {
        response.sendRedirect("profile.jsp");
   }
   else if(request.getParameter("edit") == null || request.getParameter("edit").isEmpty())
   {        
       response.sendRedirect("profile.jsp");
   }
   else
   {
       String username = request.getParameter("edit"); 
%>


<!DOCTYPE html>
<html>

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <link href="css/style.css" rel="stylesheet" type="text/css"/>
        <link href="css/profile.css" rel="stylesheet" type="text/css"/>
        <script type="text/javascript" src="javascript/misc.js"></script>
        <script type="text/javascript" src="javascript/validation.js"></script>
        <link rel="shortcut icon" href="images/myicon.ico"/>
        <title>Διαχείριση Αποθηκών | Λεπτομέρειες Χρήστη</title>
    </head>
    
    <body>
        
        <div id="header">        
            <div id="headercontainer">
                <h1 id="title">Διαχείριση Αποθηκών</h1>             
                <div id="status">
                    <table border="0" cellpadding="10px" style="border-collapse: collapse; font-size: 17px;">
                        <tr style="color: white;">
                            <td><strong>Συνδεδεμένος: </strong></td>
                            <td><label><%out.print(user.getSurname()+" "+user.getName());%></label></td>
                        </tr>
                        <tr>
                            <td style="background-color: darkslategray;"></td>
                            <td style="color: white; text-align: right;"><a href="logout.jsp" onclick="return logoutConf();">Αποσύνδεση</a></td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
        
        <jsp:useBean id="role" class="javabeans.UsersRoles" scope="application" />
        <div id="center">
            <div id="container">
                <div id="navbar" align="left">
                    <ul>
                        <a href="profile.jsp"><li><p>&nbsp;Προφίλ&nbsp;</p></li></a>                      
                        <a href="manageusersroles.jsp"><li><p>&nbsp;Διαχείριση Ρόλων&nbsp;</p></li></a> 
                        <a href="manageusers.jsp"><li><p>&nbsp;Διαχείριση Χρηστών&nbsp;</p></li></a>
                        <a href="managestorages.jsp"><li><p>&nbsp;Διαχείριση Αποθηκών&nbsp;</p></li></a>                       
                        <a href="manageproducts.jsp"><li><p>&nbsp;Διαχείριση Προϊόντων&nbsp;</p></li></a>                        
                        <a href="managesuppliers.jsp"><li><p>&nbsp;Διαχείριση Προμηθευτών&nbsp;</p></li></a>                        
                    </ul>
                </div>
                <div id="results" align="left">
                    <h2 style="text-decoration: underline;">Στοιχεία επιλεγμένου χρήστη</h2><br/>
                    <% User suser = user.getUser(username);
                       out.print("<b>Ρόλος: </b> "+(suser.getRole() == null ? "Δεν έχει οριστεί" : suser.getRole())+"<hr/><br/>"+
                       "<b>Όνομα: </b> "+suser.getName()+"&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"+
                       "<b>Επώνυμο: </b> "+suser.getSurname()+"<hr/><br/>"+
                       "<b>Τηλέφωνο επικοινωνίας: </b> "+suser.getTelephone()+"<hr/><br/><b>e-mail: </b> "+suser.getEmail());

                       if(suser.getRole() != null){out.print("<hr/><br/><b>Δικαιώματα Αποθηκών: </b>"+
                       (role.getRoles().get(suser.getRole())[0] == 0 ? "Κανένα" : (role.getRoles().get(suser.getRole())[0] == 1 ? "Μόνο Ανάγνωση" : 
                       (role.getRoles().get(suser.getRole())[0] == 2 ? "Μόνο Διαχείριση" : "Ανάγνωση και Διαχείριση")))+                           
                       "<hr/><br/><b>Δικαιώματα Προϊόντων: </b>"+
                       (role.getRoles().get(suser.getRole())[1] == 0 ? "Κανένα" : (role.getRoles().get(suser.getRole())[1] == 1 ? "Μόνο Ανάγνωση" : 
                       (role.getRoles().get(suser.getRole())[1] == 2 ? "Μόνο Διαχείριση" : "Ανάγνωση και Διαχείριση")))+                        
                       "<hr/><br/><b>Δικαιώματα Προμηθευτών: </b>"+
                       (role.getRoles().get(suser.getRole())[2] == 0 ? "Κανένα" : (role.getRoles().get(suser.getRole())[2] == 1 ? "Μόνο Ανάγνωση" : 
                       (role.getRoles().get(suser.getRole())[2] == 2 ? "Μόνο Διαχείριση" : "Ανάγνωση και Διαχείριση")))+ "<hr/>");}                           
                    %>                        
                    <br/><h2 style="text-decoration: underline;">Αλλαγή ρόλου</h2><br/>
                    <form action="manageusers.jsp" method="POST" onSubmit="return validateChangeRoleForm(document.forms[0]);">
                        <select name="exrole">
                            <option value="" selected="selected"><Επιλέξτε Ρόλο></option>
                            <%for(Iterator<Map.Entry<String, int[]>> it = role.getRoles().entrySet().iterator(); it.hasNext(); )
                              {                                
                                  Map.Entry<String, int[]> entry = it.next();

                                  if(!entry.getKey().equals("Admin") && !entry.getKey().equals(suser.getRole()))
                                      out.print("<option value=\""+entry.getKey()+"\">"+entry.getKey()+"</option>");
                              }
                            %>                            
                        </select>
                        <input type="hidden" name="susername" value="<% out.print(username);} %>" />
                        <input type="submit" value="Εφαρμογή"/>
                    </form>                         
                </div>
            </div>
        </div>
        
        <div id="footer">
            <div id="footcontainer">
                <br/><br/><hr/><br/>
                <p align="center">Διαχείριση Αποθηκών &copy; <%= new java.text.SimpleDateFormat("yyyy").format(new java.util.Date()) %></p>
            </div>
        </div>
        
    </body>
    
</html>

