
package javabeans;

import java.util.Date;


/**Class of the product objects that contains their attributes.
 * 
 * @author LOU10*/
public class Product
{
    private String name;
    private String serial;
    private String description;
    private String storageName;
    private int quantity;
    private Date timeCreated;
    private Date timeChanged;
    private String type;
    private float weight;
    private float length;
    private float width;
    private float height;

    /**
     *
     */
    public Product()
    {
    }

    /**
     *
     * @return
     */
    public String getName()
    {
        return name;
    }

    /**
     *
     * @param name
     */
    public void setName(String name)
    {
        this.name = name;
    }

    /**
     *
     * @return
     */
    public String getSerial()
    {
        return serial;
    }

    /**
     *
     * @param serial
     */
    public void setSerial(String serial)
    {
        this.serial = serial;
    }

    /**
     *
     * @return
     */
    public String getDescription()
    {
        return description;
    }

    /**
     *
     * @param description
     */
    public void setDescription(String description)
    {
        this.description = description;
    }

    /**
     *
     * @return
     */
    public String getStorageName()
    {
        return storageName;
    }

    /**
     *
     * @param storageName
     */
    public void setStorageName(String storageName)
    {
        this.storageName = storageName;
    }

    /**
     *
     * @return
     */
    public int getQuantity()
    {
        return quantity;
    }

    /**
     *
     * @param quantity
     */
    public void setQuantity(int quantity)
    {
        this.quantity = quantity;
    }

    /**
     *
     * @return
     */
    public Date getTimeCreated()
    {
        return timeCreated;
    }

    /**
     *
     * @param timeCreated
     */
    public void setTimeCreated(Date timeCreated)
    {
        this.timeCreated = timeCreated;
    }

    /**
     *
     * @return
     */
    public Date getTimeChanged()
    {
        return timeChanged;
    }

    /**
     *
     * @param timeChanged
     */
    public void setTimeChanged(Date timeChanged)
    {
        this.timeChanged = timeChanged;
    }

    /**
     *
     * @return
     */
    public String getType()
    {
        return type;
    }

    /**
     *
     * @param type
     */
    public void setType(String type)
    {
        this.type = type;
    }

    /**
     *
     * @return
     */
    public float getWeight()
    {
        return weight;
    }

    /**
     *
     * @param weight
     */
    public void setWeight(float weight)
    {
        this.weight = weight;
    }

    /**
     *
     * @return
     */
    public float getLength()
    {
        return length;
    }

    /**
     *
     * @param length
     */
    public void setLength(float length)
    {
        this.length = length;
    }

    /**
     *
     * @return
     */
    public float getWidth()
    {
        return width;
    }

    /**
     *
     * @param width
     */
    public void setWidth(float width)
    {
        this.width = width;
    }

    /**
     *
     * @return
     */
    public float getHeight()
    {
        return height;
    }

    /**
     *
     * @param height
     */
    public void setHeight(float height)
    {
        this.height = height;
    }
}
