function validateLoginForm(form)
{
    var username = form.username.value;
    if (username == "")
    {
        form.username.focus();
        form.username.select();
        alert("Παρακαλώ συμπληρώστε όνομα χρήστη!");
        return false;
    }
    var password = form.password.value;
    if (password == "")
    {
        form.password.focus();
        form.password.select();        
        alert("Παρακαλώ συμπληρώστε συνθηματικό!");
        return false;
    }  

    return true;
}

function validateRegistrationForm(form)
{    
    var username = form.username.value;
    if (username == "")
    {
        form.username.focus();
        form.username.select();        
        alert("Παρακαλώ συμπληρώστε όνομα χρήστη!");
        return false;
    }
    var password = form.password.value;
    if (password == "")
    {
        form.password.focus();
        form.password.select();         
        alert("Παρακαλώ συμπληρώστε συνθηματικό!");
        return false;
    }
    var checkpass = form.checkpass.value;
    if (checkpass == "")
    {
        form.checkpass.focus();
        form.checkpass.select();         
        alert("Παρακαλώ συμπληρώστε την επιβεβαίωση συνθηματικού!");
        return false;
    }    
    if(password!=checkpass)
    {
        form.password.focus();
        form.password.select();         
        alert("Τα συνθηματικά που συμπληρώσατε δεν είναι ίδια!");
        return false;        
    }    
    var name = form.name.value;
    if (name == "")
    {
        form.name.focus();
        form.name.select();         
        alert("Παρακαλώ συμπληρώστε το όνομα σας!");
        return false;
    }    
    var surname = form.surname.value;
    if (surname == "")
    {
        form.surname.focus();
        form.surname.select();         
        alert("Παρακαλώ συμπληρώστε το επίθετό σας!");
        return false;
    }    
    var phone = form.phone.value;
    if (!isValidPhone(phone))
    {
        form.phone.focus();
        form.phone.select();         
        alert("Παρακαλώ συμπληρώστε ένα έγκυρο τηλέφωνο!");
        return false;
    }        
    var email = form.email.value;
    if (!isValidEmail(email))
    {
        form.email.focus();
        form.email.select();
        alert("Παρακαλώ συμπληρώστε ένα έγκυρο email!");
        return false;
    }
    return true;    
}

function validateForgotForm(form)
{
    var email = form.email.value;
    
    if(!isValidEmail(email))
    {
        form.email.focus();
        form.email.select();
        alert("Παρακαλώ συμπληρώστε ένα έγκυρο email!");
        return false;
    }   
    
    alert("Το αίτημα σας εστάλη επιτυχώς. ");
    
    return true;
}
	
function isValidEmail(strEmail)
{
    validRegExp = /^[^@]+@[^@]+.[a-z]{2,}$/i;		  
    if (strEmail.search(validRegExp) == -1) 
    {			  
        return false;
    } 
    return true; 
}

function isValidPhone(strPhone)
{
    validRegExp = /^\d{10}$/;    
    if (strPhone.search(validRegExp) == -1) 
    {			  
        return false;
    } 
    return true; 
}

function validateChangeForm(form)
{
    var password = form.password.value;   
    var checkpass = form.checkpass.value; 
    var name = form.name.value;
    var surname = form.surname.value;   
    var telephone = form.telephone.value;
    var email = form.email.value; 
    
    if(password=="" && checkpass=="" && name=="" && surname=="" && telephone=="" && email=="")
    {
        alert("Δεν έχετε κάνει καμμία αλλαγή!");
        return false;         
    }
    
    if(password!=checkpass)
    {
        form.password.focus();
        form.password.select();          
        alert("Τα συνθηματικά που συμπληρώσατε δεν είναι ίδια!");
        return false;        
    }
    if (!isValidPhone(telephone) && telephone!="")
    {
        form.telephone.focus();
        form.telephone.select();         
        alert("Παρακαλώ συμπληρώστε ένα έγκυρο τηλέφωνο!");
        return false;
    }    
    if (!isValidEmail(email) && email!="")
    {
        form.email.focus();
        form.email.select();
        alert("Παρακαλώ συμπληρώστε ένα έγκυρο email");
        return false;
    }    
    return true;
}

function validateRoleForm(form)
{
    var choiseList = form.elements["choise"];
    var choise;
    
    for(var i = 0; i < choiseList.length; i++)
    {
       if(choiseList[i].checked)
       {
          choise = choiseList[i].value;
          form.choise.value =  choiseList[i].value;
       }
    }    
    
    var exrole = form.exrole.value;
    var newname = form.newname.value;

    if(choise == "edit" && exrole == "")
    {       
        alert("Δεν έχετε επιλέξει ρόλο.");
        return false;
    }
    if(choise == "create" && newname == "")
    {
        form.newname.focus();
        form.newname.select();        
        alert("Δεν έχετε εισάγει όνομα νέου ρόλου.");
        return false;
    }    
    
    alert("Οι αλλαγές σας καταχωρήθηκαν με επιτυχία!");

    return true;
}

function validateChangeRoleForm(form)
{
    var exrole = form.exrole.value;
    
    if (exrole == "")
    {       
        alert("Δεν έχετε επιλέξει ρόλο.");
        return false;
    }    
    
    alert("Η αλλαγή σας καταχωρήθηκε με επιτυχία!");
    
    return true;
}

function validateStorageForm(form)
{
    var name = form.storagename.value;
    var desc = form.storagedesc.value;
    var loc = form.storageloc.value;
    
    if (name == "")
    {
        form.storagename.focus();
        form.storagename.select();         
        alert("Δεν έχετε εισάγει όνομα αποθήκης.");
        return false;
    }
    if (desc == "")
    {
        form.storagedesc.focus();
        form.storagedesc.select();         
        alert("Δεν έχετε εισάγει περιγραφή αποθήκης.");
        return false;
    }
    if (loc == "")
    {
        form.storageloc.focus();
        form.storageloc.select();         
        alert("Δεν έχετε εισάγει τοποθεσία αποθήκης.");
        return false;
    }             
    
    return true;
}


function validateStorageChangeForm(form, oldopen)
{   
    var selection = form.selection.value;
    
    if(selection == "change")
    {
        var desc = form.strchangedesc.value;
        var loc = form.strchangeloc.value;
        var open;
        if(form.strchangeopen.checked)
            open = 1;
        else
            open = 0;

        if(desc == "" && loc == "" && open == oldopen)
        {
            alert("Δεν έχετε κάνει καμμία αλλαγή!");
            return false;
        }
        else
            return true
    }
    else if(selection == "delete")
    {
        var x=window.confirm("Είστε σίγουροι ότι θέλετε να διαγράψετε την επιλεγμένη αποθήκη;");
        
        if (x == true)
        {
            return true;
        }
        else
        {
            return false;    
        }        
    }
    
    return false;
} 

function validateProductForm(form)
{
    var productname = form.productname.value;
    if (productname == "")
    {
        form.productname.focus();
        form.productname.select();
        alert("Παρακαλώ συμπληρώστε όνομα προϊόντος!");
        return false;
    }    
    var productserial = form.productserial.value;
    if (productserial == "")
    {
        form.productserial.focus();
        form.productserial.select();
        alert("Παρακαλώ συμπληρώστε κωδικό προϊόντος!");
        return false;
    }    
    var productdesc = form.productdesc.value;
    if (productdesc == "")
    {
        form.productdesc.focus();
        form.productdesc.select();
        alert("Παρακαλώ συμπληρώστε περιγραφή προϊόντος!");
        return false;
    }    
    var productstorage = form.productstorage.value;
    if (productstorage == "")
    {
        alert("Παρακαλώ επιλέξτε αποθήκη!");
        return false;
    }    
    var productquant = form.productquant.value;
    if (productquant == "")
    {
        form.productquant.focus();
        form.productquant.select();
        alert("Παρακαλώ επιλέξτε ποσότητα!");
        return false;
    }
    else if(!validateInteger(productquant))
    {
        form.productquant.focus();
        form.productquant.select();
        alert("Η ποσότητα που συμπληρώσατε δεν είναι έγκυρος αριθμός.");
        return false;        
    }
    var productweight = form.productweight.value;
    if (productweight != "" && !validateDemical(productweight))
    {
        form.productweight.focus();
        form.productweight.select();
        alert("Το βάρος που συμπληρώσατε δεν είναι έγκυρος αριθμός.");
        return false;
    }    
    var productlength = form.productlength.value;
    if (productlength != "" && !validateDemical(productlength))
    {
        form.productlength.focus();
        form.productlength.select();
        alert("Το μήκος που συμπληρώσατε δεν είναι έγκυρος αριθμός.");
        return false;
    }    
    var productwidth = form.productwidth.value;
    if (productwidth != "" && !validateDemical(productwidth))
    {
        form.productwidth.focus();
        form.productwidth.select();
        alert("Το πλάτος που συμπληρώσατε δεν είναι έγκυρος αριθμός.");
        return false;
    }       
    var productheight = form.productheight.value;
    if (productheight != "" && !validateDemical(productheight))
    {
        form.productheight.focus();
        form.productheight.select();
        alert("Το ύψος που συμπληρώσατε δεν είναι έγκυρος αριθμός.");
        return false;
    }    
    
    return true;
}

function validateDemical(value)
{
    var validRegExp = /^(?:[1-9]\d*|0)?(?:\.\d+)?$/;
    
    if (value.search(validRegExp) == -1) 
    {			  
        return false;
    } 
    
    return true;
}

function validateInteger(value)
{
    var validRegExp = /^[1-9]\d*$/;
    
    if (value.search(validRegExp) == -1) 
    {			  
        return false;
    } 
    
    return true;
}

function validateProductDetailsForm(form)
{
    if(form.action.indexOf("manageproducts.jsp") == -1)
    {
        var editList = form.elements["edit"];

        for(var i = 0; i < editList.length; i++)
           if(editList[i].checked)
              form.edit.value =  editList[i].value;   

        if(form.pushed.value == 0)
        {
            alert("Δεν έχετε επιλέξει κάποιο προϊόν.");            
            return false;
        }                
        else
            return true;
    }
    
    return true;
}

function validateProductChangeForm(form)
{
    var selection = form.selection.value;
    
    if(selection == "change")
    {
        var productdesc = form.productdesc.value;            
        var productquant = form.productquant.value;
        var producttype = form.producttype.value;
        var productweight = form.productweight.value;
        var productlength = form.productlength.value;
        var productwidth = form.productwidth.value;
        var productheight = form.productheight.value;    

        if (productdesc == "" && productquant == "" && producttype == ""
            && productweight == "" && productlength == "" && productwidth == "" && productheight == "")
        {
            alert("Δεν έχετε κάνει καμμία αλλαγή!");
            return false;
        }
        if(productquant != "" && !validateInteger(productquant))
        {
            form.productquant.focus();
            form.productquant.select();
            alert("Η ποσότητα που συμπληρώσατε δεν είναι έγκυρος αριθμός.");
            return false;        
        }    
        if (productweight != "" && !validateDemical(productweight))
        {
            form.productweight.focus();
            form.productweight.select();
            alert("Το βάρος που συμπληρώσατε δεν είναι έγκυρος αριθμός.");
            return false;
        }        
        if (productlength != "" && !validateDemical(productlength))
        {
            form.productlength.focus();
            form.productlength.select();
            alert("Το μήκος που συμπληρώσατε δεν είναι έγκυρος αριθμός.");
            return false;
        }        
        if (productwidth != "" && !validateDemical(productwidth))
        {
            form.productwidth.focus();
            form.productwidth.select();
            alert("Το πλάτος που συμπληρώσατε δεν είναι έγκυρος αριθμός.");
            return false;
        }          
        if (productheight != "" && !validateDemical(productheight))
        {
            form.productheight.focus();
            form.productheight.select();
            alert("Το ύψος που συμπληρώσατε δεν είναι έγκυρος αριθμός.");
            return false;
        }        
        else
            return true
    }
    else if(selection == "move")
    {
        var productstorage = form.productstorage.value; 
        
        if (productstorage == "")
        {
            alert("Δεν έχετε επιλέξει κάποια αποθήκη.");            
            return false;            
        }            
    }    
    else if(selection == "delete")
    {
        var x=window.confirm("Είστε σίγουροι ότι θέλετε να διαγράψετε το επιλεγμένο προϊόν;");
        
        if (x == true)
        {
            return true;
        }
        else
        {
            return false;    
        }        
    }      
    else if(selection == "add")
    {
        var productsupplier = form.productsupplier.value;
        var price = form.price.value;
        
        if(productsupplier == "")
        {
            alert("Δεν έχετε επιλέξει κάποιον προμηθευτή.");            
            return false;            
        }
        if(price == "" || price == "Τιμή")
        {
            alert("Παρακαλώ συμπληρώστε τιμή.");
            return false;
        }
        if (price != "" && !validateDemical(price))
        {
            alert("Η τιμή που συμπληρώσατε δεν είναι έγκυρος αριθμός.");
            return false;
        }        
        
        return true;
    }    
    
    return true;
}

function validateSearchForm(form)
{
    var search = form.search.value;
    
    if(search == "" || search == "Κριτήριο Αναζήτησης")
    {
        alert("Δεν έχετε συμπληρώσει το κριτήριο αναζήτησης.");
        return false;
    }    
    
    return true;
}

function validateSupplierForm(form)
{
    var suppliercomp = form.suppliercomp.value;
    if (suppliercomp == "")
    {
        form.suppliercomp .focus();
        form.suppliercomp .select();
        alert("Παρακαλώ συμπληρώστε όνομα εταιρείας!");
        return false;
    }    
    var suppliername = form.suppliername.value;
    if (suppliername == "")
    {
        form.suppliername.focus();
        form.suppliername.select();
        alert("Παρακαλώ συμπληρώστε όνομα υπεύθυνου!");
        return false;
    } 
    var suppliersurn = form.suppliersurn.value;
    if (suppliersurn == "")
    {
        form.suppliersurn.focus();
        form.suppliersurn.select();
        alert("Παρακαλώ συμπληρώστε επώνυμο υπεύθυνου!");
        return false;
    } 
    var supplierafm = form.supplierafm.value;
    if (!isValidAfm(supplierafm))
    {
        form.supplierafm.focus();
        form.supplierafm.select();
        alert("Παρακαλώ συμπληρώστε ένα έγκυρο Α.Φ.Μ.!");
        return false;
    } 
    var supplieraddr = form.supplieraddr.value;
    if (supplieraddr == "")
    {
        form.supplieraddr.focus();
        form.supplieraddr.select();
        alert("Παρακαλώ συμπληρώστε διεύθυνση!");
        return false;
    } 
    var suppliertel = form.suppliertel.value;
    if (!isValidPhone(suppliertel))
    {
        form.suppliertel.focus();
        form.suppliertel.select();
        alert("Παρακαλώ συμπληρώστε ένα έγκυρο τηλέφωνο!");
        return false;
    } 
    var suppliermail = form.suppliermail.value;
    if (!isValidEmail(suppliermail))
    {
        form.suppliermail.focus();
        form.suppliermail.select();
        alert("Παρακαλώ συμπληρώστε ένα έγκυρο e-mail!");
        return false;
    }  
    
    return true;
}

function isValidAfm(strAfm)
{
    validRegExp = /^\d{9}$/;    
    if (strAfm.search(validRegExp) == -1) 
    {			  
        return false;
    } 
    return true; 
}    

function validateSupplierDetailsForm(form)
{
    var editList = form.elements["edit"];
    
    for(var i = 0; i < editList.length; i++)
       if(editList[i].checked)
          form.edit.value =  editList[i].value;   
    
    if(form.pushed.value == 0)
    {
        alert("Δεν έχετε επιλέξει κάποιον προμηθευτή.");
        return false;
    }                
    else
        return true;
}

function validateSupplierChangeForm(form)
{
    var selection = form.selection.value;
    
    if(selection == "change")
    {
        var suppliername = form.suppliername.value;
        var suppliersurn = form.suppliersurn.value;
        var supplierafm = form.supplierafm.value;
        var supplieraddr = form.supplieraddr.value;
        var suppliertel = form.suppliertel.value;
        var suppliermail = form.suppliermail.value;

        if(suppliername == "" && suppliersurn == "" && supplierafm == "" &&
           supplieraddr == "" && suppliertel == "" && suppliermail == "")
        {
            alert("Δεν έχετε κάνει καμμία αλλαγή!");
            return false;
        } 
        if (supplierafm != "" && !isValidAfm(supplierafm))
        {
            form.supplierafm.focus();
            form.supplierafm.select();
            alert("Παρακαλώ συμπληρώστε ένα έγκυρο Α.Φ.Μ.!");
            return false;
        }         
        if (suppliertel != "" && !isValidPhone(suppliertel))
        {
            form.suppliertel.focus();
            form.suppliertel.select();
            alert("Παρακαλώ συμπληρώστε ένα έγκυρο τηλέφωνο!");
            return false;
        }         
        if (suppliermail != "" && !isValidEmail(suppliermail))
        {
            form.suppliermail.focus();
            form.suppliermail.select();
            alert("Παρακαλώ συμπληρώστε ένα έγκυρο e-mail!");
            return false;
        }         
                
        return true
    }
    else if(selection == "delete")
    {
        var x=window.confirm("Είστε σίγουροι ότι θέλετε να διαγράψετε τον επιλεγμένο προμηθευτή;");
        
        if (x == true)
        {
            return true;
        }
        else
        {
            return false;    
        }        
    }   
    
    return true;
}
