<%-- 
    Document   : productsearch
    Created on : 23 Αυγ 2013, 6:21:45 μμ
    Author     : LOU10
--%>
<%@page import="java.util.List"%>
<%@page import="java.util.ArrayList"%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>

<% request.setCharacterEncoding("UTF-8"); %>
<jsp:useBean id="user" class="javabeans.User" scope="session" />
<jsp:useBean id="role" class="javabeans.UsersRoles" scope="application" />
<% String isOnline = (String) session.getAttribute("isOnlinekey");
   if(isOnline == null || !isOnline.equals("online"))
   {
       response.sendRedirect("index.jsp");
   }
   else if((role.getRoles().get(user.getRole()))[1] == 0) 
   {
        response.sendRedirect("profile.jsp");
   }
   else if(request.getParameter("search") == null || request.getParameter("search").isEmpty())
   {        
       response.sendRedirect("profile.jsp");
   }       
   else
   {
       List<String[]> prList = new ArrayList();
       String category;
       
       if(request.getParameter("category").equals("name"))
       { 
            category = "Ονόματος";
            prList = user.searchProducts("name", request.getParameter("search"));
       }
       else if(request.getParameter("category").equals("code"))                                   
       {   
           category = "Κωδικού";
           prList = user.searchProducts("serial", request.getParameter("search"));
       }
       else if(request.getParameter("category").equals("desc"))                                   
       {           
           category = "Περιγραφής";
           prList = user.searchProducts("description", request.getParameter("search"));
       } 
       else
       {           
           category = "Προμηθευτή";
           prList = user.searchProducts("suppliercompany", request.getParameter("search"));
       }                         
%>

<!DOCTYPE html>
<html>

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <link href="css/style.css" rel="stylesheet" type="text/css"/>
        <link href="css/profile.css" rel="stylesheet" type="text/css"/>
        <script type="text/javascript" src="javascript/validation.js"></script>
        <script type="text/javascript" src="javascript/misc.js"></script>
        <link rel="shortcut icon" href="images/myicon.ico"/>
        <title>Διαχείριση Αποθηκών | Αναζήτηση Προϊόντων</title>
    </head>
    
    <body>
        
        <div id="header">        
            <div id="headercontainer">
                <h1 id="title">Διαχείριση Αποθηκών</h1>                              
                <div id="status">
                    <table border="0" cellpadding="10px" style="border-collapse: collapse; font-size: 17px;">
                        <tr style="color: white;">
                            <td><strong>Συνδεδεμένος: </strong></td>
                            <td><label><%out.print(user.getSurname()+" "+user.getName());%></label></td>
                        </tr>
                        <tr>
                            <td style="background-color: darkslategray;"></td>
                            <td style="color: white; text-align: right;"><a href="logout.jsp" onclick="return logoutConf();">Αποσύνδεση</a></td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
                
        <div id="center">
            <div id="container">
                <div id="navbar" align="left">
                    <ul>                        
                        <a href="profile.jsp"><li><p>&nbsp;Προφίλ&nbsp;</p></li></a>
                        <% if(user.getRole().equals("Admin")){ %>                        
                        <a href="manageusersroles.jsp"><li><p>&nbsp;Διαχείριση Ρόλων&nbsp;</p></li></a> 
                        <a href="manageusers.jsp"><li><p>&nbsp;Διαχείριση Χρηστών&nbsp;</p></li></a>
                        <% }
                           if(role.getRoles().get(user.getRole())[0] != 0){%>
                        <a href="managestorages.jsp"><li><p>&nbsp;Διαχείριση Αποθηκών&nbsp;</p></li></a> 
                        <% }
                           if(role.getRoles().get(user.getRole())[1] != 0){%>                        
                        <a href="manageproducts.jsp"><li><p>&nbsp;Διαχείριση Προϊόντων&nbsp;</p></li></a> 
                        <% }
                           if(role.getRoles().get(user.getRole())[2] != 0){%>                          
                        <a href="managesuppliers.jsp"><li><p>&nbsp;Διαχείριση Προμηθευτών&nbsp;</p></li></a> 
                        <% } %>                          
                    </ul>
                </div>
                    
                <div id="results" align="left">
                    <h2 style="text-decoration: underline;">Αναζήτηση προϊόντων</h2><br/>
                    <form action="productsearch.jsp" method="GET" onsubmit="return validateSearchForm(document.forms[0]);">
                        <input type="text" name="search" value="Κριτήριο Αναζήτησης" style="color: lightgray;"
                               onblur="abortedChange(search, 'Κριτήριο Αναζήτησης')" onclick="changeValue(search, 'Κριτήριο Αναζήτησης');"/>
                        <select name="category">
                            <option value="name">Βάσει Ονόματος</option>                            
                            <option value="code">Βάσει Κωδικού</option>
                            <option value="desc">Βάσει Περιγραφής</option>
                            <option value="sup">Βάσει Προμηθευτή</option>
                        </select>
                        <input type="submit" value="Αναζήτηση"/>
                    </form>                    
                    <h2 style="text-decoration: underline;" id="productslist">Αποτελέσματα αναζήτησης</h2><br/> 
                    <%if(prList.size() == 0)
                           out.print("<b>Δεν υπάρχουν προϊόντα με τα κριτήρια που ζητάσατε. </b>");
                       else
                       { 
                           out.print("<label>Αναζήτηση του '<i>"+request.getParameter("search") +"</i>' Βάσει "+category+".<br/>&nbsp</label>");    %>                       
                    <form action="manageproducts.jsp" method="GET" onsubmit="return validateProductDetailsForm(document.forms[1]);"> 
                    <input type="hidden" value="0" name="pushed"/>
                    <table style="border-collapse:collapse;" border="1" align="left" cellpadding="2px">
                        <tr>
                            <th>Όνομα</th>
                            <th>Κωδικός</th>
                            <th>Επιλογή</th>
                        </tr>
                        <% 
                               for(int i = 0; i < prList.size(); i++)
                               {
                                    out.print("<tr><td>"+prList.get(i)[0]+"</td>"+
                                              "<td>"+prList.get(i)[1]+"</td><td>"+
                                              "<input type=\"radio\" name=\"edit\" value=\""+
                                              prList.get(i)[0]+"@#@"+prList.get(i)[1]+
                                              "\" onclick=\"radioPushed(document);\"/></td></tr>");
                               }                                  
                        %>
                        <tr><td colspan="3"></td></tr>
                        <tr align="center" ><td colspan="2"></td>
                            <td><input type="submit" value="Λεπτομέρειες" onclick="editSelected(document.forms[1]);"/>
                            </td>                        
                        </tr>
                    </table> 
                    </form>  
                   <% }
   } %>
                </div>
            </div>
        </div>
        
        <div id="footer">
            <div id="footcontainer">
                <br/><br/><hr/><br/>
                <p align="center">Διαχείριση Αποθηκών &copy; <%= new java.text.SimpleDateFormat("yyyy").format(new java.util.Date()) %></p>
            </div>
        </div>
        
    </body>
    
</html>


