<%-- 
    Document   : profile
    Created on : 12 Αυγ 2013, 5:43:47 μμ
    Author     : LOU10
--%>


<%@page contentType="text/html" pageEncoding="UTF-8"%>

<% request.setCharacterEncoding("UTF-8"); %>
<jsp:useBean id="role" class="javabeans.UsersRoles" scope="application" />
<% String isOnline = (String) session.getAttribute("isOnlinekey");
   if(isOnline == null || !isOnline.equals("online"))
   {   
       response.sendRedirect("index.jsp");
   }
   else if(!request.getScheme().equals("http")) 
   {
       String url = new String(request.getRequestURL());
       url = url.replace("https", "http");
       url = url.replace("8443", "8080");             
       response.sendRedirect(url);
   }
   else
   {
%>

<!DOCTYPE html>
<html>

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <link href="css/style.css" rel="stylesheet" type="text/css"/>
        <link href="css/profile.css" rel="stylesheet" type="text/css"/>
        <script type="text/javascript" src="javascript/misc.js"></script>
        <script type="text/javascript" src="javascript/validation.js"></script>
        <link rel="shortcut icon" href="images/myicon.ico"/>
        <title>Διαχείριση Αποθηκών | Προφίλ</title>
    </head>
    
    <body>
        
        <div id="header">        
            <div id="headercontainer">
                <h1 id="title">Διαχείριση Αποθηκών</h1>
                <jsp:useBean id="user" class="javabeans.User" scope="session" />                
                <div id="status">
                    <table border="0" cellpadding="10px" style="border-collapse: collapse; font-size: 17px;">
                        <tr style="color: white;">
                            <td><strong>Συνδεδεμένος: </strong></td>
                            <td><label><%out.print(user.getSurname()+" "+user.getName());%></label></td>
                        </tr>
                        <tr>
                            <td style="background-color: darkslategray;"></td>
                            <td style="color: white; text-align: right;"><a href="logout.jsp" onclick="return logoutConf();">Αποσύνδεση</a></td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
                
        <div id="center">
            <div id="container">
                <div id="navbar" align="left">
                    <ul>
                        <li style="background-color:darkseagreen; color: lightgoldenrodyellow;"><p>&nbsp;Προφίλ&nbsp;</p></li> 
                        <% if(user.getRole().equals("Admin")){ %>                        
                        <a href="manageusersroles.jsp"><li><p>&nbsp;Διαχείριση Ρόλων&nbsp;</p></li></a> 
                        <a href="manageusers.jsp"><li><p>&nbsp;Διαχείριση Χρηστών&nbsp;</p></li></a>
                        <% }
                           if(role.getRoles().get(user.getRole())[0] != 0){%>
                        <a href="managestorages.jsp"><li><p>&nbsp;Διαχείριση Αποθηκών&nbsp;</p></li></a> 
                        <% }
                           if(role.getRoles().get(user.getRole())[1] != 0){%>                        
                        <a href="manageproducts.jsp"><li><p>&nbsp;Διαχείριση Προϊόντων&nbsp;</p></li></a> 
                        <% }
                           if(role.getRoles().get(user.getRole())[2] != 0){%>                          
                        <a href="managesuppliers.jsp"><li><p>&nbsp;Διαχείριση Προμηθευτών&nbsp;</p></li></a> 
                        <% } %>                        
                    </ul>
                </div>
                    <div id="results" align="left">
                        <h2 style="text-decoration: underline;">Προσωπικά στοιχεία</h2><br/>
                        <% out.print("<b>Ιδιότητα: </b> "+user.getRole()+"<hr/><br/><b>Όνομα: </b> "+user.getName()+
                           "&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>Επώνυμο: </b> "+user.getSurname()+"<hr/><br/>"+
                           "<b>Τηλέφωνο επικοινωνίας: </b> "+user.getTelephone()+"<hr/><br/><b>e-mail: </b> "+user.getEmail()+
                           "<hr/><br/><b>Δικαιώματα Αποθηκών: </b>"+
                           (role.getRoles().get(user.getRole())[0] == 0 ? "Κανένα" : (role.getRoles().get(user.getRole())[0] == 1 ? "Μόνο Ανάγνωση" : 
                           (role.getRoles().get(user.getRole())[0] == 2 ? "Μόνο Διαχείριση" : "Ανάγνωση και Διαχείριση")))+                           
                           "<hr/><br/><b>Δικαιώματα Προϊόντων: </b>"+
                           (role.getRoles().get(user.getRole())[1] == 0 ? "Κανένα" : (role.getRoles().get(user.getRole())[1] == 1 ? "Μόνο Ανάγνωση" : 
                           (role.getRoles().get(user.getRole())[1] == 2 ? "Μόνο Διαχείριση" : "Ανάγνωση και Διαχείριση")))+                        
                           "<hr/><br/><b>Δικαιώματα Προμηθευτών: </b>"+
                           (role.getRoles().get(user.getRole())[2] == 0 ? "Κανένα" : (role.getRoles().get(user.getRole())[2] == 1 ? "Μόνο Ανάγνωση" : 
                           (role.getRoles().get(user.getRole())[2] == 2 ? "Μόνο Διαχείριση" : "Ανάγνωση και Διαχείριση")))+ "<hr/>");  
   }                        
                        %>
                        <br/><h2 style="text-decoration: underline;">Αλλαγή στοιχείων</h2><br/>
                        <form action="change.jsp" method="POST" onSubmit="return validateChangeForm(document.forms[0]);">
                            <table border="0" align="left" cellpadding="4px">
                            <tr style="text-align: left;"><td>Νέο Συνθηματικό:</td><td><input type="password" name="password"/></td></tr>
                            <tr style="text-align: left;"><td>Επιβεβαίωση Νέου Συνθηματικού:</td><td><input type="password" name="checkpass"/></td></tr>
                            <tr style="text-align: left;"><td>Το όνομά σας:</td><td><input type="text" name="name"/></td></tr>
                            <tr style="text-align: left;"><td>Το επίθετό σας:</td><td><input type="text" name="surname"/></td></tr>                            
                            <tr style="text-align: left;"><td>Τηλέφωνο επικοινωνίας:</td><td><input type="text" name="telephone"/></td></tr>
                            <tr style="text-align: left;"><td>e-mail:</td><td><input type="text" name="email"/></td>                                                         
                            <td style="text-align: right;"><input type="submit" value="Αλλαγή"/></td></tr>
                        </table>
                        </form>                         
                    </div>
            </div>
        </div>
        
        <div id="footer">
            <div id="footcontainer">
                <br/><br/><hr/><br/>
                <p align="center">Διαχείριση Αποθηκών &copy; <%= new java.text.SimpleDateFormat("yyyy").format(new java.util.Date()) %></p>
            </div>
        </div>
        
    </body>
    
</html>
