<%-- 
    Document   : storagedetails
    Created on : 21 Αυγ 2013, 8:34:02 μμ
    Author     : LOU10
--%>

<%@page import="java.util.List"%>
<%@page import="javabeans.Product"%>
<%@page import="javabeans.Storage"%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>

<% request.setCharacterEncoding("UTF-8"); %> 
<jsp:useBean id="user" class="javabeans.User" scope="session" />
<jsp:useBean id="role" class="javabeans.UsersRoles" scope="application" />
<% String isOnline = (String) session.getAttribute("isOnlinekey");
   if(isOnline == null || !isOnline.equals("online"))
   {   
       response.sendRedirect("index.jsp");
   }
   else if((role.getRoles().get(user.getRole()))[0] == 0) 
   {
        response.sendRedirect("profile.jsp");
   }
   else if(request.getParameter("edit") == null || request.getParameter("edit").isEmpty())
   {        
       response.sendRedirect("profile.jsp");
   }
   else
   {
       String storagename = request.getParameter("edit"); 
       int index = Integer.parseInt(request.getParameter("index"));       
%>


<!DOCTYPE html>
<html>

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <link href="css/style.css" rel="stylesheet" type="text/css"/>
        <link href="css/profile.css" rel="stylesheet" type="text/css"/>
        <script type="text/javascript" src="javascript/misc.js"></script>
        <script type="text/javascript" src="javascript/validation.js"></script>
        <link rel="shortcut icon" href="images/myicon.ico"/>
        <title>Διαχείριση Αποθηκών | Λεπτομέρειες Αποθήκης</title>
    </head>
    
    <body  <% if(request.getParameter("gotolist") != null && !request.getParameter("gotolist").isEmpty()){ out.print("onload=\"gotoResults();\"");} %>>
        
        <div id="header">        
            <div id="headercontainer">
                <h1 id="title">Διαχείριση Αποθηκών</h1>             
                <div id="status">
                    <table border="0" cellpadding="10px" style="border-collapse: collapse; font-size: 17px;">
                        <tr style="color: white;">
                            <td><strong>Συνδεδεμένος: </strong></td>
                            <td><label><%out.print(user.getSurname()+" "+user.getName());%></label></td>
                        </tr>
                        <tr>
                            <td style="background-color: darkslategray;"></td>
                            <td style="color: white; text-align: right;"><a href="logout.jsp" onclick="return logoutConf();">Αποσύνδεση</a></td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
        
        <div id="center">
            <div id="container">
                <div id="navbar" align="left">
                    <ul>                        
                        <a href="profile.jsp"><li><p>&nbsp;Προφίλ&nbsp;</p></li></a>
                        <% if(user.getRole().equals("Admin")){ %>                        
                        <a href="manageusersroles.jsp"><li><p>&nbsp;Διαχείριση Ρόλων&nbsp;</p></li></a> 
                        <a href="manageusers.jsp"><li><p>&nbsp;Διαχείριση Χρηστών&nbsp;</p></li></a>
                        <% }
                           if(role.getRoles().get(user.getRole())[0] != 0){%>
                        <a href="managestorages.jsp"><li><p>&nbsp;Διαχείριση Αποθηκών&nbsp;</p></li></a> 
                        <% }
                           if(role.getRoles().get(user.getRole())[1] != 0){%>                        
                        <a href="manageproducts.jsp"><li><p>&nbsp;Διαχείριση Προϊόντων&nbsp;</p></li></a> 
                        <% }
                           if(role.getRoles().get(user.getRole())[2] != 0){%>                          
                        <a href="managesuppliers.jsp"><li><p>&nbsp;Διαχείριση Προμηθευτών&nbsp;</p></li></a> 
                        <% } %>                          
                    </ul>
                </div>
                <div id="results" align="left">
                    <h2 style="text-decoration: underline;">Στοιχεία επιλεγμένης αποθήκης</h2><br/>
                    <% Storage stor = user.getStorage(storagename);
                       int prcount = user.getProductsCount(storagename);

                       out.print("<b>Όνομα αποθήκης: </b> "+stor.getName()+"<hr/><br/>"+
                       "<b>Περιγραφή αποθήκης: </b> "+stor.getDescription()+"<hr/><br/>"+
                       "<b>Τοποθεσία αποθήκης: </b> "+stor.getLocation()+"<hr/><br/>"+
                       "<b>Είναι ανοιχτή; </b> "+(stor.isOpen() ? "Ναι" : "Όχι")+"<hr/><br/>"+
                       "<b>Αριθμός προϊόντων: </b> "+prcount+"<hr/>");                                                                               
                    %>      
                    <% if((role.getRoles().get(user.getRole()))[0] >= 2){ %>
                    <br/><h2 style="text-decoration: underline;">Επεξεργασία αποθήκης</h2><br/>  
                    <form action="storagechange.jsp" method="POST"
                     onSubmit="return validateStorageChangeForm(document.forms[0], <%out.print((stor.isOpen() ? "1" : "0"));%>);">
                        <input type="hidden" name="selection" value=""/>
                        <input type="hidden" name="storagename" value="<%out.print(stor.getName());%>"/>
                        <table border="0" align="left" cellpadding="4px">
                        <tr style="text-align: left;"><td>Περιγραφή αποθήκης</td><td><input type="text" name="strchangedesc"/></td></tr>
                        <tr style="text-align: left;"><td>Τοποθεσία αποθήκης:</td><td><input type="text" name="strchangeloc"/></td></tr>
                        <tr style="text-align: left;"><td>Είναι ανοιχτή;</td><td><input type="checkbox" name="strchangeopen" value="1"/></td>                                                      
                        <td style="text-align: right;"><input type="submit" value="   Αλλαγή   " onclick="changeSelected(document);"/></td></tr>
                        <tr><td colspan="3"><hr/><br/></td></tr>
                        <tr style="text-align: left;"><td colspan="2">Διαγραφή αποθήκης(πρέπει να μην περιέχει προϊόντα)</td>
                        <td style="text-align: right;"><input type="submit" value="Διαγραφή" 
                        <%if(prcount!=0)out.print("disabled");%>  onclick="deleteSelected(document);"/></td></tr>
                        <tr><td colspan="3"><hr/></td></tr>
                    </table>
                    </form><h2 style="color: lightgoldenrodyellow;">I</h2>
                    <% }%>
                    
                    <h2 style="text-decoration: underline;" id="productslist">Λίστα προϊόντων αποθήκης</h2><br/> 
                    <% List<Product> prList;
                       prList = user.getStorageProducts(stor.getName(), index);

                       if(prList.size() == 0)
                           out.print("<b>Η αποθήκη δεν περιέχει προϊόντα. </b>");
                       else
                       { %>                       
                    <form action="storagedetails.jsp" method="GET">                        
                    <input type="hidden" value="" name="index"/>
                    <input type="hidden" value="1" name="gotolist"/>
                    <input type="hidden" name="edit" value="<%out.print(stor.getName());%>"/>                        
                    <table style="border-collapse:collapse;" border="1" align="left" cellpadding="4px">
                        <tr>
                            <th>Όνομα</th>
                            <th>Κωδικός</th>
                            <th>Περιγραφή</th>
                        </tr>
                        <% 
                               for(int i = 0; i < prList.size(); i++)
                               {
                                    out.print("<tr id=\"list\" onclick=\"loadProductDetails('"+
                                              prList.get(i).getName()+"', '"+prList.get(i).getSerial()+"');\">"+
                                              "<td>"+prList.get(i).getName()+"</td>"+
                                              "<td>"+prList.get(i).getSerial()+"</td>"+
                                              "<td>"+prList.get(i).getDescription()+"</td></tr>");
                               }                                  
                        %>
                        <tr><td colspan="3"></td></tr>
                        <tr>
                            <td><input type="submit" value="< Προηγουμενη" onclick="prevPage(document, <% out.print(index); %>);"
                                 <% if(index == 0) out.print("disabled"); %>/></td>
                            <td><% out.print("Σελίδα "+(index+1)); %></td>
                            <td><input type="submit" value="     Επόμενη >     " onclick="nextPage(document, <% out.print(index); %>);"
                                <% if(user.getStorageProductsCount(stor.getName()) <= (index+1)*20) out.print("disabled"); %>/></td>
                        </tr>
                    </table> 
                    </form><h2 style="color: lightgoldenrodyellow;">I</h2>
                    <h2 style="text-decoration: underline;">Λίστα τελευταίων ενεργών προϊόντων</h2><br/>
                    <table style="border-collapse:collapse;" border="1" align="left" cellpadding="4px">
                        <tr>
                            <th>Όνομα</th>
                            <th>Κωδικός</th>
                            <th>Περιγραφή</th>
                        </tr>
                        <%     prList = user.getStorageLatestActiveProducts(stor.getName());

                               for(int i = 0; i < prList.size(); i++)
                               {
                                    out.print("<tr id=\"list\" onclick=\"loadProductDetails('"+
                                              prList.get(i).getName()+"', '"+prList.get(i).getSerial()+"');\">"+
                                              "<td>"+prList.get(i).getName()+"</td>"+
                                              "<td>"+prList.get(i).getSerial()+"</td>"+
                                              "<td>"+prList.get(i).getDescription()+"</td></tr>");
                               }                                  
                        %>
                    </table>                         
                    <% }
   } %>
                </div>
            </div>
        </div>
        
        <div id="footer">
            <div id="footcontainer">
                <br/><br/><hr/><br/>
                <p align="center">Διαχείριση Αποθηκών &copy; <%= new java.text.SimpleDateFormat("yyyy").format(new java.util.Date()) %></p>
            </div>
        </div>
        
    </body>
    
</html>


