<%-- 
    Document   : manageproducts
    Created on : 20 Αυγ 2013, 3:32:28 μμ
    Author     : LOU10
--%>

<%@page import="javabeans.Product"%>
<%@page import="java.util.List"%>
<%@page import="javabeans.Storage"%>
<%@page contentType="text/html" pageEncoding="UTF-8"%>

<% request.setCharacterEncoding("UTF-8"); %> 
<jsp:useBean id="user" class="javabeans.User" scope="session" />
<jsp:useBean id="role" class="javabeans.UsersRoles" scope="application" />
<jsp:useBean id="details" class="javabeans.Checker" scope="page" />
<% String isOnline = (String) session.getAttribute("isOnlinekey");
   if(isOnline == null || !isOnline.equals("online"))
   {   
       response.sendRedirect("index.jsp");
   }
   else if((role.getRoles().get(user.getRole()))[1] == 0) 
   {
        response.sendRedirect("profile.jsp");
   }
   else if(request.getParameter("productname") != null && !request.getParameter("productname").isEmpty())
   {
       if (!details.checkProductKey(request.getParameter("productname"), request.getParameter("productserial")))
       {
%>
    <script type="text/javascript">
        alert("Το συνδιασμός προϊόν-κωδικός που επιλέξατε υπάρχει ήδη! Δοκιμάστε κάποιο άλλο.");
        window.history.back();
    </script>
<%
       }
       else
       {       
           user.createNewProduct(request.getParameter("productname"), request.getParameter("productserial"), 
                                 request.getParameter("productdesc"), request.getParameter("productstorage"),
                                 request.getParameter("productquant"), request.getParameter("producttype"),
                                 request.getParameter("productweight"), request.getParameter("productlength"),
                                 request.getParameter("productwidth"), request.getParameter("productheight")); 
%>
        <script type="text/javascript">
            alert("Το προϊόν δημιουργήθηκε με επιτυχία!");
            window.location.href = "manageproducts.jsp";
        </script>
<%           
       }
   }
   else
   {
       int index  = 0;
       if(request.getParameter("index") != null && !request.getParameter("index").isEmpty())
           index = Integer.parseInt(request.getParameter("index"));
%> 

<!DOCTYPE html>
<html>

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <link href="css/style.css" rel="stylesheet" type="text/css"/>
        <link href="css/profile.css" rel="stylesheet" type="text/css"/>
        <script type="text/javascript" src="javascript/validation.js"></script>
        <script type="text/javascript" src="javascript/misc.js"></script>
        <link rel="shortcut icon" href="images/myicon.ico"/>
        <title>Διαχείριση Αποθηκών | Διαχείριση Προϊόντων</title>
    </head>
    
    <body <% if(request.getParameter("gotolist") != null && !request.getParameter("gotolist").isEmpty()){ out.print("onload=\"gotoResults();\"");} %>>
        
        <div id="header">        
            <div id="headercontainer">
                <h1 id="title">Διαχείριση Αποθηκών</h1>                              
                <div id="status">
                    <table border="0" cellpadding="10px" style="border-collapse: collapse; font-size: 17px;">
                        <tr style="color: white;">
                            <td><strong>Συνδεδεμένος: </strong></td>
                            <td><label><%out.print(user.getSurname()+" "+user.getName());%></label></td>
                        </tr>
                        <tr>
                            <td style="background-color: darkslategray;"></td>
                            <td style="color: white; text-align: right;"><a href="logout.jsp" onclick="return logoutConf();">Αποσύνδεση</a></td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
                
        <div id="center">
            <div id="container">
                <div id="navbar" align="left">
                    <ul>                        
                        <a href="profile.jsp"><li><p>&nbsp;Προφίλ&nbsp;</p></li></a>
                        <% if(user.getRole().equals("Admin")){ %>                        
                        <a href="manageusersroles.jsp"><li><p>&nbsp;Διαχείριση Ρόλων&nbsp;</p></li></a> 
                        <a href="manageusers.jsp"><li><p>&nbsp;Διαχείριση Χρηστών&nbsp;</p></li></a>
                        <% }
                           if(role.getRoles().get(user.getRole())[0] != 0){%>
                        <a href="managestorages.jsp"><li><p>&nbsp;Διαχείριση Αποθηκών&nbsp;</p></li> </a>
                        <% }
                           if(role.getRoles().get(user.getRole())[1] != 0){%>                        
                        <li style="background-color:darkseagreen; color: lightgoldenrodyellow;"><p>&nbsp;Διαχείριση Προϊόντων&nbsp;</p></li>
                        <% }
                           if(role.getRoles().get(user.getRole())[2] != 0){%>                          
                        <a href="managesuppliers.jsp"><li><p>&nbsp;Διαχείριση Προμηθευτών&nbsp;</p></li></a> 
                        <% } %>                          
                    </ul>
                </div>
                <div id="results" align="left">
                    <h2 style="text-decoration: underline;">Αναζήτηση προϊόντων</h2><br/>
                    <form action="productsearch.jsp" method="GET" onsubmit="return validateSearchForm(document.forms[0]);">
                        <input type="text" name="search" value="Κριτήριο Αναζήτησης" style="color: lightgray;"
                               onblur="abortedChange(search, 'Κριτήριο Αναζήτησης')" onclick="changeValue(search, 'Κριτήριο Αναζήτησης');"/>
                        <select name="category">
                            <option value="name">Βάσει Ονόματος</option>                            
                            <option value="code">Βάσει Κωδικού</option>
                            <option value="desc">Βάσει Περιγραφής</option>
                            <option value="sup">Βάσει Προμηθευτή</option>
                        </select>
                        <input type="submit" value="Αναζήτηση"/>
                    </form>
                    <% if((role.getRoles().get(user.getRole()))[1] >= 2){ %>
                    <h2 style="text-decoration: underline;">Δημιουργία προϊόντος</h2>
                    <i>(Τα πεδία με * είναι προαιρετικά)</i><br/><br/>
                    <form action="manageproducts.jsp" method="POST" onSubmit="return validateProductForm(document.forms[1]);">   
                        <table border="0" align="left" cellpadding="4px">
                        <tr style="text-align: left;"><td>Όνομα προϊόντος:</td><td><input type="text" name="productname"/></td></tr>
                        <tr style="text-align: left;"><td>Κωδικός προϊόντος:</td><td><input type="text" name="productserial"/></td></tr>
                        <tr style="text-align: left;"><td>Περιγραφή προϊόντος:</td><td><input type="text" name="productdesc"/></td></tr>
                        <tr style="text-align: left;"><td>Αποθήκη:</td>
                            <td><select name="productstorage"><option value="" selected="selected"><Επιλέξτε Αποθήκη></option>
                            <% List<Storage> storageList;
                               storageList = user.getAllStorages();
                           
                               for(int i = 0; i < storageList.size(); i++)
                               {
                                   out.print("<option value=\""+storageList.get(i).getName()+"\">"+storageList.get(i).getName()+"</option>");
                               }
                            %>                            
                            </select></td></tr>                       
                        <tr style="text-align: left;"><td>Ποσότητα προϊόντος:</td><td><input type="text" name="productquant"/></td></tr>
                        <tr style="text-align: left;"><td>*Τύπος προϊόντος:</td><td><input type="text" name="producttype"/></td></tr>
                        <tr style="text-align: left;"><td>*Βάρος προϊόντος(κιλά-kg):</td><td><input type="text" name="productweight"/></td></tr>                    
                        <tr style="text-align: left;"><td>*Μήκος προϊόντος(μέτρα-m):</td><td><input type="text" name="productlength"/></td></tr>
                        <tr style="text-align: left;"><td>*Πλάτος προϊόντος(μέτρα-m):</td><td><input type="text" name="productwidth"/></td></tr>
                        <tr style="text-align: left;"><td>*Ύψος προϊόντος(μέτρα-m):</td><td><input type="text" name="productheight"/></td>
                        <td><input type="submit" value="Δημιουργία"/></td></tr> 
                        </table>
                    </form><h2 style="color: lightgoldenrodyellow;">I</h2>
                    <% } %>
                    <h2 style="text-decoration: underline;" id="productslist">Λίστα προϊόντων</h2><br/> 
                    <% List<Product> prList;
                       prList = user.getAllProducts(index);

                       if(prList.size() == 0)
                           out.print("<b>Δεν υπάρχουν προϊόντα. </b>");
                       else
                       { %>                       
                    <form action="manageproducts.jsp" method="GET" onsubmit="return validateProductDetailsForm
                          (document.forms[<% out.print(((role.getRoles().get(user.getRole()))[1] >= 2) ? "2" : "1"); %>]);">
                    <input type="hidden" value="" name="index"/>
                    <input type="hidden" value="1" name="gotolist"/> 
                    <table style="border-collapse:collapse;" border="1" align="left" cellpadding="4px">
                        <tr>
                            <th>Όνομα</th>
                            <th>Κωδικός</th>
                            <th>Περιγραφή</th>
                        </tr>
                        <% 
                               for(int i = 0; i < prList.size(); i++)
                               {
                                    out.print("<tr id=\"list\" onclick=\"loadProductDetails('"+
                                              prList.get(i).getName()+"', '"+prList.get(i).getSerial()+"');\">"+
                                              "<td>"+prList.get(i).getName()+"</td>"+
                                              "<td>"+prList.get(i).getSerial()+"</td>"+
                                              "<td>"+prList.get(i).getDescription()+"</td></tr>");
                               }                                  
                        %>
                        <tr><td colspan="3"></td></tr>
                        <tr>
                            <td><input type="submit" value="< Προηγουμενη" onclick="prevPageSelected(document.forms[
                                 <% out.print(((role.getRoles().get(user.getRole()))[1] >= 2) ? "2" : "1"); %>], <% out.print(index); %>);"
                                 <% if(index == 0) out.print("disabled"); %>/>
                            </td>
                            <td><% out.print("Σελίδα "+(index+1)); %></td>
                            <td><input type="submit" value="     Επόμενη >     " onclick="nextPageSelected(document.forms[
                                 <% out.print(((role.getRoles().get(user.getRole()))[1] >= 2) ? "2" : "1"); %>], <% out.print(index); %>);"
                                 <% if(user.getAllProductsCount() <= (index+1)*20) out.print("disabled"); %>/>
                            </td>
                        </tr>
                    </table> 
                    </form>  
                   <% }
   }%>
                </div>
            </div>
        </div>
        
        <div id="footer">
            <div id="footcontainer">
                <br/><br/><hr/><br/>
                <p align="center">Διαχείριση Αποθηκών &copy; <%= new java.text.SimpleDateFormat("yyyy").format(new java.util.Date()) %></p>
            </div>
        </div>
        
    </body>
    
</html>


