<%-- 
    Document   : productdetails
    Created on : 23 Αυγ 2013, 1:32:32 μμ
    Author     : LOU10
--%>

<%@page import="javabeans.Supplier"%>
<%@page import="java.util.List"%>
<%@page import="javabeans.Product"%>
<%@page import="javabeans.Storage"%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>

<% request.setCharacterEncoding("UTF-8"); %> 
<jsp:useBean id="user" class="javabeans.User" scope="session" />
<jsp:useBean id="role" class="javabeans.UsersRoles" scope="application" />
<% String isOnline = (String) session.getAttribute("isOnlinekey");
   if(isOnline == null || !isOnline.equals("online"))
   {   
       response.sendRedirect("index.jsp");
   }
   else if((role.getRoles().get(user.getRole()))[1] == 0) 
   {
        response.sendRedirect("profile.jsp");
   }
   else if(request.getParameter("edit") == null || request.getParameter("edit").isEmpty())
   {        
       response.sendRedirect("profile.jsp");
   }
   else
   {       
       String[] productns = request.getParameter("edit").split("@#@"); 
       String productname = productns[0];
       String productserial = productns[1];      
%>


<!DOCTYPE html>
<html>

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <link href="css/style.css" rel="stylesheet" type="text/css"/>
        <link href="css/profile.css" rel="stylesheet" type="text/css"/>
        <script type="text/javascript" src="javascript/misc.js"></script>
        <script type="text/javascript" src="javascript/validation.js"></script>
        <link rel="shortcut icon" href="images/myicon.ico"/>
        <title>Διαχείριση Αποθηκών | Λεπτομέρειες Προϊόντος</title>
    </head>
    
    <body>
        
        <div id="header">        
            <div id="headercontainer">
                <h1 id="title">Διαχείριση Αποθηκών</h1>             
                <div id="status">
                    <table border="0" cellpadding="10px" style="border-collapse: collapse; font-size: 17px;">
                        <tr style="color: white;">
                            <td><strong>Συνδεδεμένος: </strong></td>
                            <td><label><%out.print(user.getSurname()+" "+user.getName());%></label></td>
                        </tr>
                        <tr>
                            <td style="background-color: darkslategray;"></td>
                            <td style="color: white; text-align: right;"><a href="logout.jsp" onclick="return logoutConf();">Αποσύνδεση</a></td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
        
        <div id="center">
            <div id="container">
                <div id="navbar" align="left">
                    <ul>                        
                        <a href="profile.jsp"><li><p>&nbsp;Προφίλ&nbsp;</p></li></a>
                        <% if(user.getRole().equals("Admin")){ %>                        
                        <a href="manageusersroles.jsp"><li><p>&nbsp;Διαχείριση Ρόλων&nbsp;</p></li></a> 
                        <a href="manageusers.jsp"><li><p>&nbsp;Διαχείριση Χρηστών&nbsp;</p></li></a>
                        <% }
                           if(role.getRoles().get(user.getRole())[0] != 0){%>
                        <a href="managestorages.jsp"><li><p>&nbsp;Διαχείριση Αποθηκών&nbsp;</p></li></a> 
                        <% }
                           if(role.getRoles().get(user.getRole())[1] != 0){%>                        
                        <a href="manageproducts.jsp"><li><p>&nbsp;Διαχείριση Προϊόντων&nbsp;</p></li></a> 
                        <% }
                           if(role.getRoles().get(user.getRole())[2] != 0){%>                          
                        <a href="managesuppliers.jsp"><li><p>&nbsp;Διαχείριση Προμηθευτών&nbsp;</p></li></a> 
                        <% } %>                          
                    </ul>
                </div>
                <div id="results" align="left">
                    <h2 style="text-decoration: underline;">Στοιχεία επιλεγμένου προϊόντος</h2><br/>
                    <% Product prod = user.getProduct(productname, productserial);                       

                       out.print("<b>Όνομα προϊόντος: </b> "+prod.getName()+"<hr/><br/>"+
                       "<b>Κωδικός προϊόντος: </b> "+prod.getSerial()+"<hr/><br/>"+
                       "<b>Περιγραφή προϊόντος: </b> "+prod.getDescription()+"<hr/><br/>"+
                       "<b>Όνομα αποθήκης: </b> "+prod.getStorageName()+"<hr/><br/>"+
                       "<b>Ποσότητα προϊόντος: </b> "+prod.getQuantity()+"<hr/>");

                       if(prod.getType() != null)
                           out.print("<br/><b>Τύπος προϊόντος: </b>"+prod.getType()+"<hr/>");
                       if(prod.getWeight() > 0)
                           out.print("<br/><b>Βάρος προϊόντος(κιλά-kg): </b>"+prod.getWeight()+"<hr/>");                       
                       if(prod.getLength() > 0)
                           out.print("<br/><b>Μήκος προϊόντος(μέτρα-m): </b>"+prod.getLength()+"<hr/>");
                       if(prod.getWidth() > 0)
                           out.print("<br/><b>Πλάτος προϊόντος(μέτρα-m): </b>"+prod.getWidth()+"<hr/>");
                       if(prod.getHeight() > 0)
                           out.print("<br/><b>Ύψος προϊόντος(μέτρα-m): </b>"+prod.getHeight()+"<hr/>");   
                       if(prod.getLength() > 0 && prod.getWidth() > 0 && prod.getHeight() > 0)
                           out.print("<br/><b>Όγκος προϊόντος(τ.μ.-m&sup3;): </b>"+(prod.getLength()*prod.getWidth()*prod.getHeight())+"<hr/>");
                       
                       out.print("<br/>");
                    %>      
                    <% if((role.getRoles().get(user.getRole()))[1] >= 2){ %>
                    <h2 style="text-decoration: underline;">Επεξεργασία προϊόντος</h2><br/>  
                    <form action="productchange.jsp" method="POST" onSubmit="return validateProductChangeForm(document.forms[0]);">
                        <input type="hidden" name="selection" value=""/>
                        <input type="hidden" name="productname" value="<%out.print(prod.getName());%>"/>
                        <input type="hidden" name="productserial" value="<%out.print(prod.getSerial());%>"/>
                        <table border="0" align="left" cellpadding="4px">
                        <tr style="text-align: left;"><td>Περιγραφή προϊόντος:</td><td><input type="text" name="productdesc"/></td></tr>                      
                        <tr style="text-align: left;"><td>Ποσότητα προϊόντος:</td><td><input type="text" name="productquant"/></td></tr>
                        <tr style="text-align: left;"><td>Τύπος προϊόντος:</td><td><input type="text" name="producttype"/></td></tr>
                        <tr style="text-align: left;"><td>Βάρος προϊόντος(κιλά-kg):</td><td><input type="text" name="productweight"/></td></tr>                    
                        <tr style="text-align: left;"><td>Μήκος προϊόντος(μέτρα-m):</td><td><input type="text" name="productlength"/></td></tr>
                        <tr style="text-align: left;"><td>Πλάτος προϊόντος(μέτρα-m):</td><td><input type="text" name="productwidth"/></td></tr>
                        <tr style="text-align: left;"><td>Ύψος προϊόντος(μέτρα-m):</td><td><input type="text" name="productheight"/></td>
                        <td style="text-align: right;"><input type="submit" value="    Αλλαγή    " onclick="changeSelected(document);"/></td></tr> 
                        <tr><td colspan="3"><hr/><br/></td></tr>
                        <tr style="text-align: left;"><td>Μεταφορά Προϊόντος</td>
                            <td><select name="productstorage"><option value="" selected="selected"><Αποθήκη Προορισμού></option>
                            <% List<Storage> storageList;
                               storageList = user.getAllStorages();
                           
                               for(int i = 0; i < storageList.size(); i++)
                               {
                                   if(!prod.getStorageName().equals(storageList.get(i).getName()))
                                       out.print("<option value=\""+storageList.get(i).getName()+"\">"+storageList.get(i).getName()+"</option>");
                               }
                            %>                            
                            </select></td>
                            <td style="text-align: right;">
                                <input type="submit" value="  Μεταφορά  " onclick="moveSelected(document);"/>
                            </td>
                        </tr>     
                        <tr><td colspan="3"><hr/><br/></td></tr>
                        <tr style="text-align: left;"><td>Προσθήκη προμηθευτή</td>
                            <td><select name="productsupplier"><option value="" selected="selected"><Επιλέξτε Προμηθευτή></option>
                            <% List<String> supList;
                               supList = user.getAllSuppliersNames();
                               List<String> psupList;                               
                               psupList = user.getProductSuppliersNames(prod.getName(), prod.getSerial());
                               
                           
                               for(int i = 0; i < supList.size(); i++)
                               {
                                   if(!psupList.contains(supList.get(i)))
                                       out.print("<option value=\""+supList.get(i)+"\">"+supList.get(i)+"</option>");
                               }
                            %>                            
                            </select><br/><br/><input type="text" name="price" value="Τιμή" style="color: lightgray;"
                                                onblur="abortedChange(price, 'Τιμή')" onclick="changeValue(price, 'Τιμή');"></td>
                            <td style="text-align: right;">
                                <br/><br/><input type="submit" value="Προσθήκη" onclick="addSelected(document);"/>
                            </td>
                        </tr>
                        <tr><td colspan="3"><hr/><br/></td></tr>
                        <tr style="text-align: left;"><td colspan="2">Διαγραφή προϊόντος</td>
                            <td style="text-align: right;">
                                <input type="submit" value="  Διαγραφή  " onclick="deleteSelected(document);"/>
                            </td>
                        </tr>   
                        <tr><td colspan="3"><hr/></td></tr>
                        </table>
                    </form><h2 style="color: lightgoldenrodyellow;">I</h2>
                    <% }%>
                    <h2 style="text-decoration: underline;" id="productslist">Λίστα προμηθευτών προϊόντος</h2><br/> 
                    <% List<String[]> supList;
                       supList = user.getProductSuppliers(prod.getName(), prod.getSerial());

                       if(supList.size() == 0)
                           out.print("<b>Το προϊόν δεν διατίθεται από κανέναν προμηθευτή. </b>");
                       else
                       { %> 
                    <table style="border-collapse:collapse;" border="1" align="left" cellpadding="4px">
                        <tr>
                            <th>Αποθήκη</th>
                            <th>Προμηθευτής</th>
                            <th>Τιμή</th>
                        </tr>
                        <%    
                            for(int i = 0; i < supList.size(); i++)
                            {
                                 out.print("<tr><td id=\"list\" onclick=\"loadStorageDetails('"+
                                           prod.getStorageName()+"');\">"+prod.getStorageName()+"</td>"+
                                           "<td id=\"list\" onclick=\"loadSupplierDetails('"+
                                           supList.get(i)[0]+"');\">"+supList.get(i)[0] +"</td>"+
                                           "<td>"+supList.get(i)[1]+"</td></tr>");
                            }
                       }                                                             
                        %>
                    </table>                        
   <% } %>
                </div>
            </div>
        </div>
        
        <div id="footer">
            <div id="footcontainer">
                <br/><br/><hr/><br/>
                <p align="center">Διαχείριση Αποθηκών &copy; <%= new java.text.SimpleDateFormat("yyyy").format(new java.util.Date()) %></p>
            </div>
        </div>
        
    </body>
    
</html>



