<%-- 
    Document   : managestorages
    Created on : 20 Αυγ 2013, 3:32:12 μμ
    Author     : LOU10
--%>

<%@page import="java.util.List"%>
<%@page import="javabeans.Storage"%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>

<% request.setCharacterEncoding("UTF-8"); %> 
<jsp:useBean id="user" class="javabeans.User" scope="session" />
<jsp:useBean id="role" class="javabeans.UsersRoles" scope="application" />
<jsp:useBean id="details" class="javabeans.Checker" scope="page" />
<% String isOnline = (String) session.getAttribute("isOnlinekey");
   if(isOnline == null || !isOnline.equals("online"))
   {   
       response.sendRedirect("index.jsp");
   }
   else if((role.getRoles().get(user.getRole()))[0] == 0) 
   {
        response.sendRedirect("profile.jsp");
   }
   else
   {
        if(request.getParameter("storagename") != null && !request.getParameter("storagename").isEmpty())
        {
            if (!details.checkStorageName(request.getParameter("storagename")))
            {
%>
         <script type="text/javascript">
             alert("Το όνομα αποθήκης που επιλέξατε υπάρχει ήδη! Δοκιμάστε κάποιο άλλο.");
             window.history.back();
         </script>
<%
            }
            else
            {
                int open;

                if(request.getParameter("storageopen") == null)
                    open = 0;
                else
                    open = 1;

                user.createNewStorage(request.getParameter("storagename"), request.getParameter("storagedesc"),
                                      open, request.getParameter("storageloc")); 
%>
             <script type="text/javascript">
                 alert("Η αποθήκη δημιουργήθηκε με επιτυχία!");                
             </script>
<%           
            }
        }
%> 

<!DOCTYPE html>
<html>

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <link href="css/style.css" rel="stylesheet" type="text/css"/>
        <link href="css/profile.css" rel="stylesheet" type="text/css"/>
        <script type="text/javascript" src="javascript/validation.js"></script>
        <script type="text/javascript" src="javascript/misc.js"></script>
        <link rel="shortcut icon" href="images/myicon.ico"/>
        <title>Διαχείριση Αποθηκών | Διαχείριση Αποθηκών</title>
    </head>
    
    <body>
        
        <div id="header">        
            <div id="headercontainer">
                <h1 id="title">Διαχείριση Αποθηκών</h1>                              
                <div id="status">
                    <table border="0" cellpadding="10px" style="border-collapse: collapse; font-size: 17px;">
                        <tr style="color: white;">
                            <td><strong>Συνδεδεμένος: </strong></td>
                            <td><label><%out.print(user.getSurname()+" "+user.getName());%></label></td>
                        </tr>
                        <tr>
                            <td style="background-color: darkslategray;"></td>
                            <td style="color: white; text-align: right;"><a href="logout.jsp" onclick="return logoutConf();">Αποσύνδεση</a></td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
                
        <div id="center">
            <div id="container">
                <div id="navbar" align="left">
                    <ul>                        
                        <a href="profile.jsp"><li><p>&nbsp;Προφίλ&nbsp;</p></li></a>
                        <% if(user.getRole().equals("Admin")){ %>                        
                        <a href="manageusersroles.jsp"><li><p>&nbsp;Διαχείριση Ρόλων&nbsp;</p></li></a> 
                        <a href="manageusers.jsp"><li><p>&nbsp;Διαχείριση Χρηστών&nbsp;</p></li></a>
                        <% }
                           if(role.getRoles().get(user.getRole())[0] != 0){%>
                        <li style="background-color:darkseagreen; color: lightgoldenrodyellow;"><p>&nbsp;Διαχείριση Αποθηκών&nbsp;</p></li> 
                        <% }
                           if(role.getRoles().get(user.getRole())[1] != 0){%>                        
                        <a href="manageproducts.jsp"><li><p>&nbsp;Διαχείριση Προϊόντων&nbsp;</p></li></a> 
                        <% }
                           if(role.getRoles().get(user.getRole())[2] != 0){%>                          
                        <a href="managesuppliers.jsp"><li><p>&nbsp;Διαχείριση Προμηθευτών&nbsp;</p></li></a> 
                        <% } %>                          
                    </ul>
                </div>
                <div id="results" align="left">
                    <% if((role.getRoles().get(user.getRole()))[0] >= 2){ %>
                    <h2 style="text-decoration: underline;">Δημιουργία αποθήκης</h2><br/>
                    <form action="managestorages.jsp" method="POST" onSubmit="return validateStorageForm(document.forms[0]);">   
                        <table border="0" align="left" cellpadding="4px">
                        <tr style="text-align: left;"><td>Όνομα αποθήκης:</td><td><input type="text" name="storagename"/></td></tr>
                        <tr style="text-align: left;"><td>Περιγραφή αποθήκης:</td><td><input type="text" name="storagedesc"/></td></tr>
                        <tr style="text-align: left;"><td>Τοποθεσία αποθήκης:</td><td><input type="text" name="storageloc"/></td></tr>
                        <tr style="text-align: left;"><td>Ανοιχτή αποθήκη;</td><td><input type="checkbox" name="storageopen" value="1"/></td>                    
                        <td><input type="submit" value="Δημιουργία"/></td></tr> 
                        </table>
                    </form><h2 style="color: lightgoldenrodyellow;">I</h2>
                    <% } %>
                    <h2 style="text-decoration: underline;">Λίστα αποθηκών</h2><br/>       
                    <input type="hidden" value="0" name="index"/>
                    <table style="border-collapse:collapse;" border="1" align="center" cellpadding="4px">
                        <tr>
                            <th>Όνομα Αποθήκης</th>
                            <th>Περιγραφή Αποθήκης</th>
                            <th>Ανοιχτή</th>
                        </tr>
                        <% List<Storage> storageList;
                           storageList = user.getAllStorages();
                           
                           for(int i = 0; i < storageList.size(); i++)
                           {
                                out.print("<tr id=\"list\" onclick=\"loadStorageDetails('"+storageList.get(i).getName()+"');\">"+
                                          "<td>"+storageList.get(i).getName()+"</td>"+
                                          "<td>"+storageList.get(i).getDescription()+"</td><td>"+
                                          ""+(storageList.get(i).isOpen() ? "Ναι" : "Όχι")+"</td></tr>");
                           }
   }
                        %> 
                    </table> 
                    </form>
                </div>
            </div>
        </div>
        
        <div id="footer">
            <div id="footcontainer">
                <br/><br/><hr/><br/>
                <p align="center">Διαχείριση Αποθηκών &copy; <%= new java.text.SimpleDateFormat("yyyy").format(new java.util.Date()) %></p>
            </div>
        </div>
        
    </body>
    
</html>

