<%-- 
    Document   : managesuppliers
    Created on : 20 Αυγ 2013, 3:32:40 μμ
    Author     : LOU10
--%>

<%@page import="java.util.List"%>
<%@page import="javabeans.Supplier"%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>

<% request.setCharacterEncoding("UTF-8"); %> 
<jsp:useBean id="user" class="javabeans.User" scope="session" />
<jsp:useBean id="role" class="javabeans.UsersRoles" scope="application" />
<jsp:useBean id="details" class="javabeans.Checker" scope="page" />
<% String isOnline = (String) session.getAttribute("isOnlinekey");
   if(isOnline == null || !isOnline.equals("online"))
   {   
       response.sendRedirect("index.jsp");
   }
   else if((role.getRoles().get(user.getRole()))[2] == 0) 
   {
        response.sendRedirect("profile.jsp");
   }
   else
   {
        if(request.getParameter("suppliercomp") != null && !request.getParameter("suppliercomp").isEmpty())
        {
            if (!details.checkSupplierName(request.getParameter("suppliercomp")))
            {
%>
         <script type="text/javascript">
             alert("Το όνομα εταιρείας που επιλέξατε υπάρχει ήδη! Δοκιμάστε κάποιο άλλο.");
             window.history.back();
         </script>
<%
            }
            else
            {
                user.createNewSupplier(request.getParameter("suppliercomp"), request.getParameter("suppliername"),
                                      request.getParameter("suppliersurn"), request.getParameter("supplierafm"),
                                      request.getParameter("supplieraddr"), request.getParameter("suppliertel"),
                                      request.getParameter("suppliermail")); 
%>
             <script type="text/javascript">
                 alert("Ο προμηθευτής δημιουργήθηκε με επιτυχία!");                
             </script>
<%           
            }
        }
%> 

<!DOCTYPE html>
<html>

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <link href="css/style.css" rel="stylesheet" type="text/css"/>
        <link href="css/profile.css" rel="stylesheet" type="text/css"/>
        <script type="text/javascript" src="javascript/validation.js"></script>
        <script type="text/javascript" src="javascript/misc.js"></script>
        <link rel="shortcut icon" href="images/myicon.ico"/>
        <title>Διαχείριση Αποθηκών | Διαχείριση Προμηθευτών</title>
    </head>
    
    <body>
        
        <div id="header">        
            <div id="headercontainer">
                <h1 id="title">Διαχείριση Αποθηκών</h1>                              
                <div id="status">
                    <table border="0" cellpadding="10px" style="border-collapse: collapse; font-size: 17px;">
                        <tr style="color: white;">
                            <td><strong>Συνδεδεμένος: </strong></td>
                            <td><label><%out.print(user.getSurname()+" "+user.getName());%></label></td>
                        </tr>
                        <tr>
                            <td style="background-color: darkslategray;"></td>
                            <td style="color: white; text-align: right;"><a href="logout.jsp" onclick="return logoutConf();">Αποσύνδεση</a></td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
                
        <div id="center">
            <div id="container">
                <div id="navbar" align="left">
                    <ul>                        
                        <a href="profile.jsp"><li><p>&nbsp;Προφίλ&nbsp;</p></li></a>
                        <% if(user.getRole().equals("Admin")){ %>                        
                        <a href="manageusersroles.jsp"><li><p>&nbsp;Διαχείριση Ρόλων&nbsp;</p></li></a> 
                        <a href="manageusers.jsp"><li><p>&nbsp;Διαχείριση Χρηστών&nbsp;</p></li></a>
                        <% }
                           if(role.getRoles().get(user.getRole())[0] != 0){%>
                        <a href="managestorages.jsp"><li><p>&nbsp;Διαχείριση Αποθηκών&nbsp;</p></li></a>
                        <% }
                           if(role.getRoles().get(user.getRole())[1] != 0){%>                        
                        <a href="manageproducts.jsp"><li><p>&nbsp;Διαχείριση Προϊόντων&nbsp;</p></li></a> 
                        <% }
                           if(role.getRoles().get(user.getRole())[2] != 0){%>                          
                        <li style="background-color:darkseagreen; color: lightgoldenrodyellow;"><p>&nbsp;Διαχείριση Προμηθευτών&nbsp;</p></li> 
                        <% } %>                          
                    </ul>
                </div>
                <div id="results" align="left">
                    <% if((role.getRoles().get(user.getRole()))[2] >= 2){ %>
                    <h2 style="text-decoration: underline;">Δημιουργία Προμηθευτή</h2><br/>
                    <form action="managesuppliers.jsp" method="POST" onSubmit="return validateSupplierForm(document.forms[0]);">   
                        <table border="0" align="left" cellpadding="4px">
                        <tr style="text-align: left;"><td>Όνομα εταιρείας:</td><td><input type="text" name="suppliercomp"/></td></tr>
                        <tr style="text-align: left;"><td>Όνομα υπεύθυνου:</td><td><input type="text" name="suppliername"/></td></tr>
                        <tr style="text-align: left;"><td>Επώνυμο υπεύθυνου:</td><td><input type="text" name="suppliersurn"/></td></tr>
                        <tr style="text-align: left;"><td>Α.Φ.Μ.</td><td><input type="text" name="supplierafm"/></td></tr>                    
                        <tr style="text-align: left;"><td>Διεύθυνση:</td><td><input type="text" name="supplieraddr"/></td></tr>    
                        <tr style="text-align: left;"><td>Τηλέφωνο:</td><td><input type="text" name="suppliertel"/></td></tr>
                        <tr style="text-align: left;"><td>e-mail:</td><td><input type="text" name="suppliermail"/></td>
                        <td><input type="submit" value="Δημιουργία"/></td></tr> 
                        </table>
                    </form><h2 style="color: lightgoldenrodyellow;">I</h2>
                    <% } %>
                    <h2 style="text-decoration: underline;">Λίστα Προμηθευτών</h2><br/>
                    <form action="supplierdetails.jsp" method="GET" onSubmit="return validateSupplierDetailsForm
                        (document.forms[<% out.print(((role.getRoles().get(user.getRole()))[2] < 2) ? "0" : "1"); %>]);">        
                    <input type="hidden" value="0" name="pushed"/> 
                    <input type="hidden" value="0" name="index"/>
                    <table style="border-collapse:collapse;" border="1" align="center" cellpadding="4px">
                        <tr>
                            <th>Όνομα Εταιρείας</th>
                            <th>Ονοματεπώνυμο Προμηθευτή</th>
                        </tr>
                        <% List<Supplier> supList;
                           supList = user.getAllSuppliers();
                           
                           for(int i = 0; i < supList.size(); i++)
                           {
                                out.print("<tr id=\"list\" onclick=\"loadSupplierDetails('"+
                                          supList.get(i).getCompany()+"');\"><td>"+supList.get(i).getCompany()+"</td>"+
                                          "<td>"+supList.get(i).getSurname()+" "+supList.get(i).getName()+"</td></tr>");
                           }
   }
                        %> 
                    </table> 
                    </form>
                </div>
            </div>
        </div>
        
        <div id="footer">
            <div id="footcontainer">
                <br/><br/><hr/><br/>
                <p align="center">Διαχείριση Αποθηκών &copy; <%= new java.text.SimpleDateFormat("yyyy").format(new java.util.Date()) %></p>
            </div>
        </div>
        
    </body>
    
</html>

