<%-- 
    Document   : manageusers
    Created on : 20 Αυγ 2013, 12:51:10 μμ
    Author     : LOU10
--%>

<%@page import="java.util.List"%>
<%@page import="javabeans.User"%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>

<% request.setCharacterEncoding("UTF-8"); %>
<jsp:useBean id="user" class="javabeans.User" scope="session" />  
<% String isOnline = (String) session.getAttribute("isOnlinekey");
   if(isOnline == null || !isOnline.equals("online"))
   {   
       response.sendRedirect("index.jsp");
   }
   else if(!user.getRole().equals("Admin")) 
   {
        response.sendRedirect("profile.jsp");
   }
   else if(request.getParameter("exrole") != null && !request.getParameter("exrole").isEmpty())
   {
       user.updateToDatabase("role", request.getParameter("exrole"), request.getParameter("susername"));   
   }
%>

<!DOCTYPE html>
<html>

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <link href="css/style.css" rel="stylesheet" type="text/css"/>
        <link href="css/profile.css" rel="stylesheet" type="text/css"/>
        <script type="text/javascript" src="javascript/validation.js"></script>
        <script type="text/javascript" src="javascript/misc.js"></script>
        <link rel="shortcut icon" href="images/myicon.ico"/>
        <title>Διαχείριση Αποθηκών | Διαχείριση Χρηστών</title>
    </head>
    
    <body>
        
        <div id="header">        
            <div id="headercontainer">
                <h1 id="title">Διαχείριση Αποθηκών</h1>                              
                <div id="status">
                    <table border="0" cellpadding="10px" style="border-collapse: collapse; font-size: 17px;">
                        <tr style="color: white;">
                            <td><strong>Συνδεδεμένος: </strong></td>
                            <td><label><%out.print(user.getSurname()+" "+user.getName());%></label></td>
                        </tr>
                        <tr>
                            <td style="background-color: darkslategray;"></td>
                            <td style="color: white; text-align: right;"><a href="logout.jsp" onclick="return logoutConf();">Αποσύνδεση</a></td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
                
        <div id="center">
            <div id="container">
                <div id="navbar" align="left">
                    <ul>
                        <a href="profile.jsp"><li><p>&nbsp;Προφίλ&nbsp;</p></li></a>                      
                        <a href="manageusersroles.jsp"><li><p>&nbsp;Διαχείριση Ρόλων&nbsp;</p></li></a> 
                        <li style="background-color:darkseagreen; color: lightgoldenrodyellow;"><p>&nbsp;Διαχείριση Χρηστών&nbsp;</p></li>
                        <a href="managestorages.jsp"><li><p>&nbsp;Διαχείριση Αποθηκών&nbsp;</p></li></a>                       
                        <a href="manageproducts.jsp"><li><p>&nbsp;Διαχείριση Προϊόντων&nbsp;</p></li></a>                        
                        <a href="managesuppliers.jsp"><li><p>&nbsp;Διαχείριση Προμηθευτών&nbsp;</p></li></a>                        
                    </ul>
                </div>
                <div id="results" align="left">
                    <h2 style="text-decoration: underline;">Λίστα χρηστών</h2><br/>                                                  
                    <table style="border-collapse:collapse;" border="1" align="left" cellpadding="4px">
                        <tr id="">
                            <th>Username</th>
                            <th>Όνοματεπώνυμο Χρήστη</th>
                            <th>Ρόλος</th>
                        </tr>                        
                        <% List<User> usersList;
                           usersList = user.getAllUsers();                           
                           
                           for(int i = 0; i < usersList.size(); i++)
                           {                                                            
                               if(usersList.get(i).getRole() == null || !usersList.get(i).getRole().equals("Admin"))
                               {                                                                      
                                    out.print("<tr id=\"list\" onclick=\"loadUserDetails('"+usersList.get(i).getUsername()+"');\">"+
                                              "<td>"+usersList.get(i).getUsername()+"</td>"+
                                              "<td>"+usersList.get(i).getName()+" "+usersList.get(i).getSurname()+"</td>"+
                                              "<td>"+(usersList.get(i).getRole() == null ? "Δεν έχει οριστεί" : usersList.get(i).getRole())+
                                              "</td></tr>");                                    
                               }
                           }
                        %>            
                    </table>                                       
                </div>
            </div>
        </div>
        
        <div id="footer">
            <div id="footcontainer">
                <br/><br/><hr/><br/>
                <p align="center">Διαχείριση Αποθηκών &copy; <%= new java.text.SimpleDateFormat("yyyy").format(new java.util.Date()) %></p>
            </div>
        </div>
        
    </body>
    
</html>


