<%-- 
    Document   : manageusersroles
    Created on : 20 Αυγ 2013, 2:26:09 μμ
    Author     : LOU10
--%>

<%@page import="java.util.Iterator"%>
<%@page import="java.util.Map"%>
<%@page import="java.util.Map"%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>

<% request.setCharacterEncoding("UTF-8"); %> 
<jsp:useBean id="user" class="javabeans.User" scope="session" />  
<jsp:useBean id="role" class="javabeans.UsersRoles" scope="application" />
<% String isOnline = (String) session.getAttribute("isOnlinekey");
   if(isOnline == null || !isOnline.equals("online"))
   {   
       response.sendRedirect("index.jsp");
   }
   else if(!user.getRole().equals("Admin")) 
   {
        response.sendRedirect("profile.jsp");
   }
   else if(request.getParameter("choise") != null && !request.getParameter("choise").isEmpty())
   {
       int str = 0;
       int prr = 0;
       int sur = 0;
       
       if(request.getParameter("storagerr") != null)
           str++;
       if(request.getParameter("storagerm") != null)
           str+=2;       
       if(request.getParameter("productrr") != null)
           prr++;
       if(request.getParameter("productrm") != null)
           prr+=2;       
       if(request.getParameter("supplyrr") != null)
           sur++;
       if(request.getParameter("supplyrm") != null)
           sur+=2;
             
       if(request.getParameter("choise").equals("edit"))
       {           
           role.updateToDatabase("storagerights", str, request.getParameter("exrole"));
           role.updateToDatabase("productrights", prr, request.getParameter("exrole"));
           role.updateToDatabase("supplyrights", sur, request.getParameter("exrole"));
       }
       else if(request.getParameter("choise").equals("create"))
       {
           role.insertToDatabase(request.getParameter("newname"), str, prr, sur);
       }  
   }
%>

<!DOCTYPE html>
<html>

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <link href="css/style.css" rel="stylesheet" type="text/css"/>
        <link href="css/profile.css" rel="stylesheet" type="text/css"/>
        <script type="text/javascript" src="javascript/validation.js"></script>
        <script type="text/javascript" src="javascript/misc.js"></script>
        <link rel="shortcut icon" href="images/myicon.ico"/>
        <title>Διαχείριση Αποθηκών | Διαχείριση Ρόλων</title>
    </head>
    
    <body>
        
        <div id="header">        
            <div id="headercontainer">
                <h1 id="title">Διαχείριση Αποθηκών</h1>                              
                <div id="status">
                    <table border="0" cellpadding="10px" style="border-collapse: collapse; font-size: 17px;">
                        <tr style="color: white;">
                            <td><strong>Συνδεδεμένος: </strong></td>
                            <td><label><%out.print(user.getSurname()+" "+user.getName());%></label></td>
                        </tr>
                        <tr>
                            <td style="background-color: darkslategray;"></td>
                            <td style="color: white; text-align: right;"><a href="logout.jsp" onclick="return logoutConf();">Αποσύνδεση</a></td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
                
        <div id="center">
            <div id="container">
                <div id="navbar" align="left">
                    <ul>
                        <a href="profile.jsp"><li><p>&nbsp;Προφίλ&nbsp;</p></li></a>                      
                        <li style="background-color:darkseagreen; color: lightgoldenrodyellow;"><p>&nbsp;Διαχείριση Ρόλων&nbsp;</p></li> 
                        <a href="manageusers.jsp"><li><p>&nbsp;Διαχείριση Χρηστών&nbsp;</p></li></a>
                        <a href="managestorages.jsp"><li><p>&nbsp;Διαχείριση Αποθηκών&nbsp;</p></li></a>                       
                        <a href="manageproducts.jsp"><li><p>&nbsp;Διαχείριση Προϊόντων&nbsp;</p></li></a>                        
                        <a href="managesuppliers.jsp"><li><p>&nbsp;Διαχείριση Προμηθευτών&nbsp;</p></li></a>                        
                    </ul>
                </div>
                <div id="results" align="left">
                    <h2 style="text-decoration: underline;">Επεξεργασία</h2><br/>
                    <form action="manageusersroles.jsp" method="POST" onsubmit="return validateRoleForm(document.forms[0]);">
                        <table border="0" cellpadding="4px" style="text-align: center;">
                            <tr>
                                <td>
                                <input type="radio" name="choise" value="edit" onclick="disableRadio(document);"/>Επεξεργασία υπάρχοντα ρόλου
                                </td>
                                <td colspan="3">
                                <input type="radio" name="choise" value="create" onclick="disableRadio(document);"/>Δημιουργία νέου ρόλου<br/>
                                </td>
                            </tr>
                            <tr>
                                <td>                                
                                <select name="exrole" disabled>
                                    <option value="" selected="selected"><Επιλέξτε Ρόλο></option>
                                    <%for(Iterator<Map.Entry<String, int[]>> it = role.getRoles().entrySet().iterator(); it.hasNext(); )
                                      {                                
                                          Map.Entry<String, int[]> entry = it.next();

                                          if(!entry.getKey().equals("Admin"))
                                              out.print("<option value=\""+entry.getKey()+"\">"+entry.getKey()+"</option>");
                                      }
                                    %>                            
                                </select>
                                </td>
                                <td colspan="3">
                                <input type="text" name="newname" disabled/><br/>  
                                </td>
                            </tr>
                            <tr>
                                <td></td>
                                <td><br/>Ανάγνωση</td>
                                <td><br/>Διαχείριση</td>
                            </tr>
                            <tr>
                                <td>Δικαιώματα Αποθηκών</td>
                                <td><input type="checkbox" name="storagerr" value="1" disabled/></td>
                                <td><input type="checkbox" name="storagerm" value="1" disabled/></td>
                            </tr>
                            <tr>
                                <td>Δικαιώματα Προϊόντων</td>
                                <td><input type="checkbox" name="productrr" value="1" disabled/></td>
                                <td><input type="checkbox" name="productrm" value="1" disabled/></td>
                            </tr>
                            <tr>
                                <td>Δικαιώματα Προμηθευτών</td>
                                <td><input type="checkbox" name="supplyrr" value="1" disabled/></td>
                                <td><input type="checkbox" name="supplyrm" value="1" disabled/></td>
                                <td><input type="submit" value="Εφαρμογή" name="submit" disabled/></td>
                            </tr>                                
                        </table><br/>                            
                    </form>
                    <h2 style="text-decoration: underline;">Ρόλοι χρηστών</h2><br/>
                    <table style="border-collapse:collapse;" border="1" align="center" cellpadding="4px">
                        <tr>
                            <th>Όνομα<br/>Ρόλου</th>
                            <th>Δικαιώματα<br/>Αποθηκών</th>
                            <th>Δικαιώματα<br/>Προϊόντων</th>
                            <th>Δικαιώματα<br/>Προμηθευτών</th>
                        </tr>
                        <%for(Iterator<Map.Entry<String, int[]>> it = role.getRoles().entrySet().iterator(); it.hasNext(); )
                          {                                
                              Map.Entry<String, int[]> entry = it.next();
                              
                              if(!entry.getKey().equals("Admin"))
                                  out.print("<tr><td>"+entry.getKey()+"</td><td>"+
                                            (entry.getValue()[0] == 0 ? "Κανένα" : (entry.getValue()[0] == 1 ? "Μόνο Ανάγνωση" : 
                                            (entry.getValue()[0] == 2 ? "Μόνο Διαχείριση" : "Ανάγνωση και Διαχείριση")))+"</td><td>"+
                                            (entry.getValue()[1] == 0 ? "Κανένα" : (entry.getValue()[1] == 1 ? "Μόνο Ανάγνωση" : 
                                            (entry.getValue()[1] == 2 ? "Μόνο Διαχείριση" : "Ανάγνωση και Διαχείριση")))+"</td><td>"+                        
                                            (entry.getValue()[2] == 0 ? "Κανένα" : (entry.getValue()[2] == 1 ? "Μόνο Ανάγνωση" : 
                                            (entry.getValue()[2] == 2 ? "Μόνο Διαχείριση" : "Ανάγνωση και Διαχείριση")))+"</td></tr>");
                          }
                        %>
                    </table>
                </div>
            </div>
        </div>
        
        <div id="footer">
            <div id="footcontainer">
                <br/><br/><hr/><br/>
                <p align="center">Διαχείριση Αποθηκών &copy; <%= new java.text.SimpleDateFormat("yyyy").format(new java.util.Date()) %></p>
            </div>
        </div>
        
    </body>
    
</html>

