<%-- 
    Document   : register
    Created on : 17 Αυγ 2013, 7:38:08 μμ
    Author     : LOU10
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>

<% request.setCharacterEncoding("UTF-8"); %>
<% String isOnline = (String) session.getAttribute("isOnlinekey");
   if(isOnline != null && isOnline.equals("online"))
   {
       response.sendRedirect("profile.jsp");
   }
   else if(request.getParameter("username") == null || request.getParameter("username").isEmpty()) 
   {
       response.sendRedirect("index.jsp");
   }
   else
   {
%>

<!DOCTYPE html>
<html>

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <link href="css/register.css" rel="stylesheet" type="text/css"/>  
        <link href="css/style.css" rel="stylesheet" type="text/css"/>
        <link rel="shortcut icon" href="images/myicon.ico"/>
        <title>Διαχείριση Αποθηκών | Εγγραφή</title>
    </head>
    
    <body>
        
        <jsp:useBean id="details" class="javabeans.Checker" scope="page" />
        <% if (!details.checkUsername(request.getParameter("username")))
           {
        %>
        <script type="text/javascript">
            alert("Το όνομα χρήστη που επιλέξατε υπάρχει ήδη! Δοκιμάστε κάποιο άλλο.");
            window.history.back()
        </script>
        <%
           }
           else if (!details.checkEmail(request.getParameter("email")))
           {
        %>
        <script type="text/javascript">
            alert("Υπάρχει ήδη λογαριασμός με αυτήν την διεύθυνση e-mail!");
            window.history.back()
        </script>
        <%
           }
           else
           {
        %>         
        <jsp:useBean id="user" class="javabeans.User" scope="session" />
        <%     user.setAll(request.getParameter("username"), request.getParameter("password"),
                    request.getParameter("name"), request.getParameter("surname"), request.getParameter("phone"),
                    request.getParameter("email"), null);  

               user.insertToDatabase();
           }
    }
        %>
        
        <div id="header">        
            <div id="headercontainer">
                <h1 id="title">Διαχείριση Αποθηκών</h1> 
            </div>
        </div>
        
        <div id="center">
            <div id="container">
                <h3 id="notification">
                    Λάβαμε τα στοιχεία σας επιτυχώς!<br/>
                    Eκκρεμεί η έγκριση της αίτησης εγγραφής σας στην εφαρμογή από τον διαχειριστή.<br/>
                    Θα ενημερωθείτε με e-mail για την πορεία της.<br/><br/><br/>
                    <a href="index.jsp">Επιστροφή στην Αρχική σελίδα.</a>
                </h3>                
            </div>
        </div>
        
        <div id="footer">
            <div id="footcontainer">
                <br/><br/><hr/><br/>
                <p align="center">Διαχείριση Αποθηκών &copy; <%= new java.text.SimpleDateFormat("yyyy").format(new java.util.Date()) %></p>
            </div>
        </div>        
        
    </body>
    
</html>
