<%-- 
    Document   : supplierdetails
    Created on : 24 Αυγ 2013, 10:53:51 πμ
    Author     : LOU10
--%>

<%@page import="java.util.List"%>
<%@page import="javabeans.Product"%>
<%@page import="javabeans.Supplier"%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>

<% request.setCharacterEncoding("UTF-8"); %> 
<jsp:useBean id="user" class="javabeans.User" scope="session" />
<jsp:useBean id="role" class="javabeans.UsersRoles" scope="application" />
<% String isOnline = (String) session.getAttribute("isOnlinekey");
   if(isOnline == null || !isOnline.equals("online"))
   {   
       response.sendRedirect("index.jsp");
   }
   else if((role.getRoles().get(user.getRole()))[2] == 0) 
   {
        response.sendRedirect("profile.jsp");
   }
   else if(request.getParameter("edit") == null || request.getParameter("edit").isEmpty())
   {        
       response.sendRedirect("profile.jsp");
   }
   else
   {
       String suppliercomp = request.getParameter("edit"); 
       int index = Integer.parseInt(request.getParameter("index"));       
%>


<!DOCTYPE html>
<html>

    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <link href="css/style.css" rel="stylesheet" type="text/css"/>
        <link href="css/profile.css" rel="stylesheet" type="text/css"/>
        <script type="text/javascript" src="javascript/misc.js"></script>
        <script type="text/javascript" src="javascript/validation.js"></script>
        <link rel="shortcut icon" href="images/myicon.ico"/>
        <title>Διαχείριση Αποθηκών | Λεπτομέρειες Προμηθευτή</title>
    </head>
    
    <body  <% if(request.getParameter("gotolist") != null && !request.getParameter("gotolist").isEmpty()){ out.print("onload=\"gotoResults();\"");} %>>
        
        <div id="header">        
            <div id="headercontainer">
                <h1 id="title">Διαχείριση Αποθηκών</h1>             
                <div id="status">
                    <table border="0" cellpadding="10px" style="border-collapse: collapse; font-size: 17px;">
                        <tr style="color: white;">
                            <td><strong>Συνδεδεμένος: </strong></td>
                            <td><label><%out.print(user.getSurname()+" "+user.getName());%></label></td>
                        </tr>
                        <tr>
                            <td style="background-color: darkslategray;"></td>
                            <td style="color: white; text-align: right;"><a href="logout.jsp" onclick="return logoutConf();">Αποσύνδεση</a></td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
        
        <div id="center">
            <div id="container">
                <div id="navbar" align="left">
                    <ul>                        
                        <a href="profile.jsp"><li><p>&nbsp;Προφίλ&nbsp;</p></li></a>
                        <% if(user.getRole().equals("Admin")){ %>                        
                        <a href="manageusersroles.jsp"><li><p>&nbsp;Διαχείριση Ρόλων&nbsp;</p></li></a> 
                        <a href="manageusers.jsp"><li><p>&nbsp;Διαχείριση Χρηστών&nbsp;</p></li></a>
                        <% }
                           if(role.getRoles().get(user.getRole())[0] != 0){%>
                        <a href="managestorages.jsp"><li><p>&nbsp;Διαχείριση Αποθηκών&nbsp;</p></li></a> 
                        <% }
                           if(role.getRoles().get(user.getRole())[1] != 0){%>                        
                        <a href="manageproducts.jsp"><li><p>&nbsp;Διαχείριση Προϊόντων&nbsp;</p></li></a> 
                        <% }
                           if(role.getRoles().get(user.getRole())[2] != 0){%>                          
                        <a href="managesuppliers.jsp"><li><p>&nbsp;Διαχείριση Προμηθευτών&nbsp;</p></li></a> 
                        <% } %>                          
                    </ul>
                </div>
                <div id="results" align="left">
                    <h2 style="text-decoration: underline;">Στοιχεία επιλεγμένου προμηθευτή</h2><br/>
                    <% Supplier sup = user.getSupplier(suppliercomp);                       

                       out.print("<b>Όνομα εταιρείας: </b> "+sup.getCompany()+"<hr/><br/>"+
                       "<b>Όνομα υπεύθυνου: </b> "+sup.getName()+"<hr/><br/>"+
                       "<b>Επώνυμο υπεύθυνου: </b> "+sup.getSurname()+"<hr/><br/>"+
                       "<b>Α.Φ.Μ.: </b> "+sup.getAfm()+"<hr/><br/>"+
                       "<b>Διεύθυνση: </b> "+sup.getAddress()+"<hr/><br/>"+
                       "<b>Τηλέφωνο: </b> "+sup.getTelephone()+"<hr/><br/>"+
                       "<b>e-mail: </b> "+sup.getEmail()+"<hr/>");                                                                               
                    %>      
                    <% if((role.getRoles().get(user.getRole()))[2] >= 2){ %>
                    <br/><h2 style="text-decoration: underline;">Επεξεργασία προμηθευτή</h2><br/>  
                    <form action="supplierchange.jsp" method="POST" onSubmit="return validateSupplierChangeForm(document.forms[0]);">
                        <input type="hidden" name="selection" value=""/>
                        <input type="hidden" name="suppliercomp" value="<%out.print(sup.getCompany());%>"/>
                        <table border="0" align="left" cellpadding="4px">
                        <tr style="text-align: left;"><td>Όνομα υπεύθυνου:</td><td><input type="text" name="suppliername"/></td></tr>
                        <tr style="text-align: left;"><td>Επώνυμο υπεύθυνου:</td><td><input type="text" name="suppliersurn"/></td></tr>                        
                        <tr style="text-align: left;"><td>Α.Φ.Μ.:</td><td><input type="text" name="supplierafm"/></td></tr>
                        <tr style="text-align: left;"><td>Διεύθυνση:</td><td><input type="text" name="supplieraddr"/></td></tr>
                        <tr style="text-align: left;"><td>Τηλέφωνο:</td><td><input type="text" name="suppliertel"/></td></tr>
                        <tr style="text-align: left;"><td>e-mail:</td><td><input type="text" name="suppliermail"/></td>
                        <td style="text-align: right;"><input type="submit" value="   Αλλαγή   " onclick="changeSelected(document);"/></td></tr>
                        <tr><td colspan="3"><hr/><br/></td></tr>
                        <tr style="text-align: left;"><td colspan="2">Διαγραφή προμηθευτή</td>
                        <td style="text-align: right;"><input type="submit" value="Διαγραφή" onclick="deleteSelected(document);"/></td></tr>
                        <tr><td colspan="3"><hr/></td></tr>
                    </table>
                    </form><h2 style="color: lightgoldenrodyellow;">I</h2>
                    <% }%>
                    
                    <h2 style="text-decoration: underline;" id="productslist">Λίστα προϊόντων προμηθευτή</h2><br/> 
                    <% List<String[]> prList;
                       prList = user.getSupplierProducts(sup.getCompany(), index);

                       if(prList.size() == 0)
                           out.print("<b>Ο προμηθευτής δεν διαθέτει προϊόντα. </b>");
                       else
                       { %>                       
                    <form action="supplierdetails.jsp" method="GET">                        
                    <input type="hidden" value="" name="index"/>
                    <input type="hidden" value="1" name="gotolist"/>
                    <input type="hidden" name="edit" value="<%out.print(sup.getCompany());%>"/>                        
                    <table style="border-collapse:collapse;" border="1" align="left" cellpadding="4px">
                        <tr>
                            <th>Όνομα</th>
                            <th>Κωδικός</th>
                            <th>Τιμή</th>
                        </tr>
                        <% 
                               int prcount = user.getSuppliersProductsCount(suppliercomp);
                        
                               for(int i = 0; i < prList.size(); i++)
                               {
                                    out.print("<tr id=\"list\" onclick=\"loadProductDetails('"+
                                              prList.get(i)[0]+"', '"+prList.get(i)[1]+"');\">"+
                                              "<td>"+prList.get(i)[0]+"</td>"+
                                              "<td>"+prList.get(i)[1]+"</td>"+
                                              "<td>"+prList.get(i)[2]+"</td></tr>");
                               }                                  
                        %>
                        <tr><td colspan="3"></td></tr>
                        <tr>
                            <td><input type="submit" value="< Προηγουμενη" onclick="prevPage(document, <% out.print(index); %>);"
                                 <% if(index == 0) out.print("disabled"); %>/></td>
                            <td><% out.print("Σελίδα "+(index+1)); %></td>
                            <td><input type="submit" value="     Επόμενη >     " onclick="nextPage(document, <% out.print(index); %>);"
                                <% if(prcount <= (index+1)*20) out.print("disabled"); %>/></td>
                        </tr>
                    </table> 
                    </form>                        
                    <% }
   } %>
                </div>
            </div>
        </div>
        
        <div id="footer">
            <div id="footcontainer">
                <br/><br/><hr/><br/>
                <p align="center">Διαχείριση Αποθηκών &copy; <%= new java.text.SimpleDateFormat("yyyy").format(new java.util.Date()) %></p>
            </div>
        </div>
        
    </body>
    
</html>



